Welcome to HyperSnap

HyperSnap is the fastest and easiest way to take screen captures from Windows screen, and text capture (TextSnap™) from places where normal text copy is not possible. HyperSnap combines the power of a first-class screen capture application with an advanced image editing utility - wrapped into one easy-to-use tool.

It's perfect for capturing images that you want to include in your Help system, online tutorials, manuals, training handouts, presentations, marketing materials, Web pages, emails and more. Use HyperSnap to quickly share a picture-perfect representation of anything on your screen.

HyperSnap is versatile and extremely easy-to-use. You can quickly customize menus and toolbars to fit your needs. Assign your own keyboard shortcuts, create instant toolbars, and even control HyperSnap with voice commands!

Top Features

  • The TextSnap™ feature allows you to capture editable text from almost anywhere on the screen, when running under Windows 2000, XP or newer.
  • New & powerful image capture, editing, annotation and manipulation tools.
  • Snags also those difficult-to-grab screens from DirectX™ and Glide™ games.
  • Image stamps, frames, drop shadow, free-hand capture, FTP server uploads, more.
  • Automatic color substitution.
  • Non-rectangular window capture.
  • Button Capture - perfect for professional technical writers who need to snap and document dozens of buttons.
  • Auto-scrolls and concurrently captures long web pages and other documents, enabling it to grab more than is visible on the screen.
  • Tightly integrates with the MS Windows clipboard to automate repetitive tasks - will even automatically PASTE capture images where needed.
  • Automatically saves your captures to graphics files.
  • Doubles as effective image viewer, format converter (over 20 image formats supported).
  • Fully customizable user interface. Rearrange menus and toolbars any way you want, assign any keyboard shortcuts you like, tear off menus to create instant toolbars, even control HyperSnap with voice commands.
  • Extended Window Capture function when running on Windows XP® or newer. Resizes a window to be much bigger than the screen before the capture - in one quick step, no auto-scrolling.


HyperSnap Licensing

Visit our home page at http://www.hyperionics.com, then select Buy Now link. We offer many different ways to order, including secure web forms, phone, fax and mail ordering, and processing of corporate purchase orders.

However, since the ordering information is likely to change in the future, and the copy of HyperSnap you downloaded may be several months, or even years old—we require you to access our web page for the most current ordering information. That way you don't mail in a form with the wrong price, or to the wrong address, and so forth.

International (non-US) users can also find a complete list of licensed Hyperionics software vendors all around the world on our web page, too.


Getting Help

The Help System will guide you through and explain HyperSnap’s menus. Also included are tutorials that help you to understand some of the top HyperSnap features.

If you are new to HyperSnap, you will want to at least review the Basic Tutorials section. To take full advantage of HyperSnap’s more advanced features, take a look at the Advanced Tutorials section.

The Menus section will guide you through the menu structure, pointing out the capabilities of each item and control available.

The Drawing Toolbar section describes the tools available in the drawing tools palette.

Also included is a Reference section with helpful information you may need as you work with the program.

HyperSnap also includes context sensitive or “What’s This?” help links to the Help System. Click the [image] on the menu toolbar or [image] in the caption of any dialog box, then click on the field, control, or menu item to access the relevant help topic. You can also access the “What’s This?” help by clicking and holding the cursor over the element and pressing F1.

Getting more help

If you just cannot find what you need in the Help System, or if you would like to read about more things you can do with HyperSnap, visit our FAQ page or access our Technical Support Forum.

If you still have questions about using HyperSnap, or if you run into a problem, feel free to contact us.


What’s New in This Release?

You may find a quick summary of the changes in this and earlier releases on our web site “Change Log” page – visit http://www.hyperionics.com, click “Product Info” link under “HyperSnap” in the left margin, then click “Change Log” in the right margin. The direct link there at the time of this writing is:

http://www.hyperionics.com/?Page=/hsdx/changelog.asp

Please keep in mind however, that the link may change as our web site evolves and the link may no longer work when you read it.


Basic Tutorials

The following tutorials will help you get started using HyperSnap.

  • Capture types
  • A capture walk-through
  • Text capture
  • Capturing a drop down menu


Capture types

HyperSnap offers many types of captures, some of which are listed in the table below:

Full screen capture | Captures the entire screen, edge to edge.
Window capture | Captures the exact window you specify (either with or without a window border).
Region capture | Captures a rectilinear region (or multiple regions) which you can define with a "rubber band" bounding box during the capturing process. New to this release is the ability to capture multiple regions, and with the space between them filled by a background color of your choice, and even hand-drawn regions.
DirectX® or Glide® capture | Captures those hard-to-retrieve screens from 3D accelerated hardware image buffers. This function allows you to grab screens from games or 3D development software that—previously—have been impossible to get with other capture tools.
Text Capture (TextSnap) | TextSnap™ technology included in HyperSnap 6 allows you to capture editable text from many places on the screen, where regular text copy/paste functions are not available, for example from program dialog boxes, menus, error messages that pop up on the screen, list of files from folder windows etc.

Powerful tools

Of course, no matter what type of capture you make, you can use HyperSnap's post-capture tools to edit, crop, and otherwise alter your image so that it best fits your intended usage.


A capture walk-through

This topic covers the steps of a typical capture session. Try to follow the steps exactly, and be sure to carefully read the procedures to avoid errors.

In order to view HyperSnap and your capture's image after you've done it, make sure that the Restore After Capture option under the Capture menu, Capture settings tabs is checked. If it isn't checked, HyperSnap will be minimized (visible only on the task bar) and you'll have to click on it to open it up again.

Let's try capturing a program's window. You can capture this help file's window as your example. But first, make sure HyperSnap is running, then come back to this file.

Please read through all of the next steps so that you can use them without referring back to this help file. You can optionally print this tutorial if you haven't already done that.

  1. When you're ready to begin, make sure that HyperSnap is the top-most window. The help engine window you were just reading (this one) should be directly beneath it. Whatever window or area you want to capture should always be visible so you can click on it.
  2. Next select Window or Control from HyperSnap's Capture menu. HyperSnap will move out of your way, to the taskbar.
  3. Move the mouse cursor to different sections of the desktop, including over your help file window. As you move it, notice that the blinking highlighted areas change. If you move to an application's Title Bar, that entire application's window is highlighted---take your time and examine the available capture objects you can locate on your desktop.
  4. Once you've highlighted an area you want to continue to experiment with, click your left (sometimes called "primary") mouse button.
  5. After HyperSnap takes the screen shot its program window, now including your capture, is restored to the active window position. You can change HyperSnap's window size (just like most other programs) if you want to see more of the capture. It may be partially obscured even with HyperSnap is full screen, depending on what you've captured.

Another most frequently used capture function is Region capture. Try it next:

  1. Select Region from the Capture menu or press Ctrl+Shift+R hot key combination.
  2. Next, when HyperSnap window goes away, click the left mouse button anywhere on your screen.
  3. Then move the mouse away from your first click spot and click again. When HyperSnap window returns, examine the result of your capture.

Please note:

  • You can use hot keys to initiate your captures, too. Click Capture menu or right-click the HyperSnap icon at the bottom of Windows screen and examine the menu that appears.
  • Every capture type should show its corresponding hot key next to it on the right.


Capturing a drop down menu

This covers the sometimes "tricky" method of snagging a capture of a program's menu. The menu usually "goes away" when you switch away from a program, or press the HyperSnap hot key, right? Here's how to grab a copy of a program menu.

1. Send HyperSnap to the taskbar by minimizing it.

2. Use one of the program's other hot keys (for example, Region Ctrl+Shift+R or Window Ctrl+Shift+W capture) to get the menu captured---it shouldn't disappear then.

Or...

1. If the menu still does disappear, you can press the Print screen key on your keyboard to send the entire desktop to the Windows clipboard.

2. Now, place the shot into HyperSnap by using the Edit / Paste menu selection. Using the Crop tool will let you select the portion of the image you need.

You're all set, you've captured the menu.


Text Capture - TextSnap™

What is TextSnap™

TextSnap™ technology included in HyperSnap 6 allows you to capture editable text from many places on the screen, where regular text copy/paste functions are not available. It is not intended to replace copy/paste for text editors (like MS Word, email programs, HTML authoring tools etc.) but rather to quickly snap text from program dialog boxes, menus, error messages that pop up on the screen, list of files from folder windows etc. Of course, from many editors TextSnap™ will capture text as well.

Limitations of TextSnap™

Here are the limitations, as we determined them so far: TextSnap™ will NOT capture text from:

  • Adobe Acrobat and Acrobat Reader (PDF files). This is normally not a big problem, just choose selection tool from Acrobat Reader toolbar, or right-click text and select "Allow Hand Tool to Select Text", and you may use normal copy/paste there.
  • Programs written in Java, running in Java virtual machine.
  • Text that is embedded on bitmap images (JPEG, PNG, GIF, TIFF, BMP etc.)

Tutorial

This tutorial assumes that all the options on TextSnap™ tab under TextSnap™/TextSnap™ Settings menu are set to "factory defaults". Let's check first if this is the case.

  1. Click the "wrench" button on the top toolbar or select TextSnap™ menu, then TextSnap™ Settings.
  2. Click "TextSnap" tab, if it is not yet active. Make sure that the following selections are made (the fields mentioned below have check-marks in them):

    Plain text capture
    Formatted text (RTF) capture
    Append new text to the same window inside HyperSnap

    The other fields should not be selected.
  3. Click OK to confirm the changes made.
  4. Select TextSnap™/TextSnap™ Hot Keys... from the menu. Make sure that the following selections are made in the “Quick Text Capture Mode” frame (the fields mentioned below have check-marks in them):

    Shift
    Control
    Abort if cross-hair is still visible and I release the above keys
    Same combination + right click - capture line of text under cursor

  5. Click Close button to confirm the changes made.

Now, let's try the "quick text region capture" method:

  1. Minimize HyperSnap window so that it's out of the way
  2. Let's open Windows Control Panel from Start menu so that we have something to catch text from
  3. Press and hold Ctrl+Shift keys on the keyboard and move your mouse - sort of jerk it. You will see a big cross-hair cursor.
  4. Move this cursor into one corner of the area from which you want to capture text, then press and hold left mouse button.
  5. Move mouse away to outline the text you want to capture, then release mouse button.

You will hear the HyperSnap capture sound. If you open HyperSnap window, you will see the captured text. This text is also placed into Windows clipboard, so you may open any text editing program (MS Word, new email message) and paste it there.

Another alternative to starting text capture is through HyperSnap Capture menu, "Text" item, or by pressing Ctrl+Shift+T keyboard shortcut assigned to this function by default. It operates a little bit differently from "quick text capture" described above - HyperSnap window minimizes when you select this, and is automatically restored after the capture. When you outline screen area, you must click the mouse to select each corner (press and release left mouse button) instead of just press-drag-release as described above.

Capture a line of text from a menu

Capturing text from a menu or similar fast-disappearing object is difficult with the outlining method described above - the system removes the menu before TextSnap™ can read it. Here is how you may capture a single line of text from a menu (or anywhere else for that matter):

  1. Open a menu in some application, for example in Control Panel, for example View menu, and move mouse over Choose Details... item
  2. Press and hold Ctrl+Shift keys and without moving the mouse much (otherwise it will start quick text region selection) press the RIGHT mouse button.

You will here again the capture sound made by HyperSnap and captured text will be placed both in clipboard (to paste anywhere you want) and inside HyperSnap window.

Capture the text of an entire pull-down or pop-up menu

  1. Open the menu you want to capture and place mouse cursor over it.
  2. Press Ctrl+Shift+U hot key combination to execute the "Text from an Object Under Cursor" capture command.

Capture text with scrolling the window contents down

If not all of the text you want to capture is visible at once in some window and you have to scroll the page down to see it all, you may use either Text from a window with auto-scroll or Text from a region with auto-scroll capture function on TextSnap™ menu.


Advanced Tutorials

The following tutorials will help you to learn some of the more advanced features of HyperSnap:

  • Multi-region capture
  • Multiple Captures Without Exiting
  • Using Auto-scroll
  • Video Player Capture
  • DirectX Game Capture Tutorial


Multi-region capture

The subject of this tutorial is Multi-region capture. This means, as you've probably guessed, capturing more than one area of the screen, such as two rectangular portions of the same window, or even two different application windows at the same time.

You can use this powerful function for capturing a cascading menu, for example. This is a useful tool when creating documentation for software.

Here are the steps.

  1. Minimize the HyperSnap window to the task bar.
  2. Open a cascading (that means multi-level) menu in another program. For this example we'll use any Windows Explorer folder. Double-click the My Computer icon and then open any available hard disk drive's folder, and then open any folder that shows at least a few file icons you can use for this purpose. The Program Files folder is useful for this, typically.
  3. Right-click on any convenient file's icon.
  4. Choose File/Send to in order to get the menu open.
  5. Press HyperSnap's CTRL+SHIFT+M hot key combination to start multi-region capture.
  6. Click on each menu in turn, plus the main menu toolbar (the one that shows File, Edit...)
  7. Just to demonstrate the power of this feature, we'll add another step: while you're still in Mutli-region capture mode switch into Region mode - press and hold the right mouse button, select Region and draw a capture box around a data file's icon.
  8. Press the Enter key on the keyboard to finish this capture.

Examine the content in HyperSnap's window, and you'll see all regions captured with the default background color filling the area between them. (The color of this region is user-definable under "Capture/Capture Settings" menu, on "Capture" tab.)


Multiple Captures Without Exiting

This tutorial describes how to make multiple captures without exiting a game/other program to save or print them.

Enable the "Quick Save" or "Quick Print" (or both if you want) options under the "Capture/Capture Settings" menu of HyperSnap. Now, every picture you capture will be auto-saved or printed. If you enable "Quick Save", which I recommend most, you can make it to auto-number the files saved like snap001.bmp, snap002.bmp etc., for each press of the capture hot key. Then, when done playing and capturing, return to HyperSnap window and review your captures by pressing Page Up and Page Down keys.


Using Auto-scroll

Please note: If you use Windows XP and HyperSnap, there is another method to capture more than available screen space. It's called "extended active window" capture function, and allows you to define how big to make a window captured - optionally can be both much wider and much higher than the screen. Then you may crop from that capture whatever you want inside HyperSnap window.

Here is how to use auto-scroll capture:

  1. Set your other window with a vertical scroll bar, that you want to capture with auto-scroll, to the top of the page, or a place where you want to start capturing.
  2. Go to HyperSnap window and click on "Capture" menu and select "Entire Page with Scrolling" item - or use hot key shortcut by pressing Ctrl+Shift+S. HyperSnap will disappear. Go with the mouse cursor over the window that you want to capture with auto-scroll. Click inside of that window (not on a scroll bar!) and observe how HyperSnap scrolls it while capturing. If you want to end the capture early, press Esc key, otherwise wait until it's done.

Note: Auto-Scroll does not work for all applications that have a vertical scroll bar. Some applications or web pages may have animated or non-scrolling parts, which prevent HyperSnap from correctly "stitching" captured bitmaps. Main WEB browsers (Netscape and MS Internet Explorer) are known to be working well with auto-scroll, as well as many other programs that we tested.

Note: there is no horizontal auto-scroll. If you have something to capture, that is WIDER than your screen, try first switching your machine into a higher resolution, e.g. 1024x768, or even 1280x1024 (some machines will even go higher). If that is not enough, capture the image in separate vertical strips, and assemble it into one bitmap under MS Paint or similar bitmap editor - or use "Extended Active Window" capture on Windows XP or newer.


Video Player Capture

Video playing on Windows machine, no matter if it comes from a movie file, Internet, VCD or DVD, can not be captured by regular screen capture methods, because it is usually playing in hardware overlay. The overlay it almost as if there was another, smaller screen in front of your regular Windows desktop screen. The desktop contains in that place only the so called "overlay key color" - a solid block of color, usually black, blue, magenta or pink, but it can be anything.

A regular screen capture program will capture just that key color, which gives you a funny effect - if your movie is still playing, and your captured that key color into HyperSnap (or any other software) window, and you move that window so that it partly covers the movie player - you will see the movie through the part where this key color was. It seems as if your HyperSnap window had a "hole" and the movie shows through it. This is because the overlay hardware controller is programmed to display that movie everywhere where that key color is on the desktop.

How to deal with this problem? There are two methods. In some movie players (e.g. Windows Media Player, Real Player) you may disable "hardware acceleration" through their "settings" or "options" menu. This turns off the overlay use, the movie is played then normally, within Windows desktop and every screen capture program can get it.

Another way to turn off overlay use for video playback on most system is to disable "hardware acceleration" of your graphics controller in the following way:

1. right click empty Windows screen, select "Properties" from the menu

2. click "Settings" tab

3. click "Advanced" button

4. click "Troubleshoot" tab

5. move the "Hardware acceleration" slider all the way to "None" and click OK buttons to close all “Display Properties” dialog boxes.

6. if your media player was running, close it completely and restart. Now play your movie and try to capture them with any capture method or tool.

When finished with captures, you may want to restore “Hardware Acceleration” back to what it was before.

The other method (if you can't or don't want to disable the overlay) try to use HyperSnap "special capture" method, described below:

The video capture will work or not, depending on which video player software you are using, and if it uses DirectX or not. Here is the correct movie/DVD capture procedure to follow:

  1. Enable "Special Capture" in HyperSnap under "Capture" menu. Click on that item and make sure that DirectX "Primary" and "Overlay" surfaces are turned on. Then click on OK button.
  2. Run the movie/DVD player, pause the movie where you want to capture, click on the player window to make sure it is the front window, then press Scroll Lock key (HyperSnap special capture hot key).
  3. Click on HyperSnap window and see what was captured. If you don't see the movie picture there, most probably your DVD player software does not use DirectX.
  4. If you do see a picture in HyperSnap window, but it has incorrect proportions, or maybe is also repeated several times, please crop and scale image to correct proportions with the functions available under "Image" menu. If you must make a lot of such DVD captures, you may set the "Quick Crop & Scale" function under the "Capture/Capture Settings" menu in HyperSnap to perform this cropping and scaling automatically on each captured image. It will let you to auto- crop each image you capture (so that only one image remains) and then scale it to correct proportions. Please don't forget to turn this "Quick..." function off when done with DVD captures and trying to do regular Windows screen shots.
  5. If the above does not work (you still get a full screen capture with some solid color where the DVD was, your DVD player program does not use DirectX, so HyperSnap can not capture from it.


DirectX Game Capture Tutorial

Always tricky to capture properly, DirectX (or the older Glide standard) represents a challenge because the data on the screen isn't really "part" of the Windows desktop. DirectX applications run in "full screen" mode, which means they're more or less like an old DOS program, with simulated "direct access" to the hardware. Getting at their video content can be difficult.

Game reviewers (or even people who just want to show off how good they are at a game) can capture a series of images from an ongoing full-screen game, and they can do so without leaving their game to assign filenames for each file created when you capture a screen. Here's a walk-through.

1. First open up HyperSnap's Capture settings tabs and then click on the Quick Save tab. You'll be establishing some settings here before you begin your captures.

2. Check Automatically save each capture to a file. Then, if you don't want to use the default filename, click the button labeled Change next to the default filename box. Locate a folder where you want your captures stored, and in the filename box, type in the initial name you want to use. For our example, we'll use TEST, and close the Save as box, which will replace the name in the Default name box.

3. Click the box labeled Increment file name, and in the box next to it, marked Start at, enter 1. In the "stop at" box, choose any number you want. In our example we'll pick 100. That will allow you to capture up to 100 images without overwriting any filenames.
To illustrate this, if you set a start and stop at 1 and 100, you'll get files named Test001.bmp through TEST100.bmp. The total number of "counter" digits in the file name is set by the number of digits in the Stop at box. So to get a series starting with TEST01.bmp, use 2 digits, for example "99," as your stop number.
Examine the other values on the Capture settings tabs to make sure they are at the values you desire. (If you've not changed them from the defaults, they'll probably be fine).

4. Close the Capture settings tabs.

5. Re-open the Capture menu, and click on Enable special capture... Here you need to choose what type of capture you wish to make. If your game uses Glide (for example, the older 3dfx hardware) then you should choose 3dfx. If you're not sure, just check all three, if all three are available, or just the top two if the bottom item is disabled. HyperSnap will take care of the rest for you.
Note that if you do not have detectable drivers installed for the hardware in the list, that option will be disabled.

6. In our example, we'll capture a screen from a Directx/Direct3D game, for example Microsoft's Combat Flight Simulator™). In this case, you'd check the box marked DirectX/Direct3D primary surface.

7. Pay attention, please! Watch out for the message that appears when you check the topmost button on the Enable special capture dialog: Please use [ hot key ] as the hot key... You must use as the capture hot key the combination or other key(s) specified here. You can't use the "standard" HyperSnap hot key due to limitations in the system.

8. If you wish to enable post capture processing of the image, check the box labeled Enable post processing... For more on what this does, see the Direct3D/Direct X Glide section of this file. For now we can leave this unchecked. Examine this section for explanations on the other options available for these special captures, too.

9. Click OK to enable special capture.

10. Minimize HyperSnap.

11. Run the desired game. Get to the point in game play that you wish to begin capturing.

12. Press the specified hot key at the moment you want to capture. The file will be saved in the directory you specified, using the naming scheme you determined. You can make more captures by repeating the hot key over and over until you have what you need. Be careful not to capture more than the number you established, or you'll begin overwriting filenames!

13. Exit the game when you're through, and examine the captured files---which you can do by simply pressing Page down and Page up. You may wish to make some adjustments to certain features to improve the appearance of the captures.

See the DirectX Direct3D and Glide Capture section of this manual for details on how to improve dark Glide or Direct3D captures, and other technical issues covering special captures such as these.


HyperSnap Menus

This section will guide you through the various HyperSnap menus, menu items, controls and options.


New

Creates a new image file. This image has the same size as that specified on the drawing toolbar's Resize tool and the background color defined under “Capture/Capture Settings…” menu, on Capture tab.


Open

Opens an existing graphics file. This is a standard Windows “File/Open” dialog box extended with a few HyperSnap-specific controls described in the following paragraphs.

Enable Preview

Turn on this option to see a small preview of the graphics file highlighted in the file list.

Page Number to Open

If opening a "multi-page" image file you may specify here the number of an image (the "page" inside that file) you want opened. If you highlight such file in the file list above, HyperSnap will display the total number of pages in that file next to this field.

File Info

Click to display detailed information about the highlighted image file.


Save As

Saves the current image to a graphics file, according to format specifications and file name you'll provide in the file Save dialog that will appear.

The following text describes HyperSnap-specific fields and controls are available in this dialog.

Minimize HyperSnap window

Check this box if you want HyperSnap window automatically minimized after you click Save.

Sub-Format

Select the sub-format properties for the desired file type. These include whether or not the file is compressed, and by what method, as well as other properties depending on what file type you choose from the top selector drop-down.

Keep Current

Check this so that when you save your document, HyperSnap doesn't alter the current image color depth (sometimes called color resolution).

Select Best

Check this to have HyperSnap examine the image and try to set the color depth to the lowest value that will attain the highest quality image, but at the same time, it will try to reduce file size if a high color depth isn't required for a proper image appearance. For example, an image may be set to 32 bits per pixel, but actually only need to display 200 colors. You could reduce this image's size to the much smaller eight bits per pixel without any detectable image degradation.

1 bit per pixel

Select to save the image with 1 bit per pixel color resolution, which permits only 2 colors in the image. These may be black and white (if you select Std. Windows palette below) or colors "optimized" from all of the image's pixels.

4 bits per pixel

Select to save the image with 4 bits per pixel color resolution, which permits up to 16 colors in the image.

8 bits per pixel

Select to save the image with 8 bits per pixel color resolution, which permits up to 256 colors in the image.

16 bits per pixel

Select to save the image with 4 bits per pixel color resolution, which permits up to 65536 colors in the image.

24 bits per pixel

Select to save the image with 24 bits per pixel color resolution, which permits millions of colors in the image.

32 bits per pixel

Select to save the image with 32 bits per pixel color resolution, which permits millions of colors in the image.

Palette: Optimized

When you save an image with 1, 4 or 8 bits per pixel color resolution, this option will set HyperSnap to select a color table for your image that best matches all available colors on the original picture.

Palette: Std. Windows

When you save an image with 1, 4 or 8 bits per pixel color resolution, this option will set HyperSnap to select a standard Windows color table for your image. This color table will minimize desktop "color flicker" when running Windows in the 256 color mode. When saving an image in 1 bit per pixel resolution, it will convert the picture to black and white (not grayscale).

Quality Factor

Some image file formats (for example, JPEG) compress images by degrading their quality and "averaging" colors across areas. When you select such a format, this field will automatically let you set the quality and subsequent degradation. Higher values of quality will produce better images, with larger files a direct result.

The quality degradation may not be noticeable on real life photos with lots of "smooth shaded areas," but can be very obvious on sharp computer screen capture images. Experiment with different values and on varying types of images to get a feel for this function.

Append

Check this to append the current file to the end of a previously-saved file as another "page." This is only available for formats that support multiple images within their data structures, such as GIF, TIFF, or the Windows icon ICL format.

Interlaced or Progressive

Check this to save the file in what's called "Progressive" or "Interlaced" formats. This label changes depending on what file type you select. These image properties are only supported by certain file types, such as GIF, JPG or CMP formats. This property lets viewers see the file quickly, with more details appearing as the file is successively rendered. Commonly used for images on web pages, it's also generally used where the file must be viewed over a slow network connection. GIF supports Interlaced, and JPG and CMP support Progressive.

Transparent

Check this to save the file with a transparent background property. This is only available for certain file formats that support a transparency value within their data structures (like GIF or PNG). The color you have chosen as the background color will be the color used for transparent areas.

Save Settings

Click this button to save the currently selected options as the default options for future use, without actually saving the image in the program's workspace.


Upload to FTP Server

This feature lets you upload the current image to an FTP server to which you have "write" access. It will bring up the FTP server dialog, which contains several important settings. The upper portion of this dialog box is very similar to HyperSnap’s Save As window and allows you to specify the exact graphics format and its options for the uploaded file.

Remote file name

Enter the file on the remote host, including setting a specific path for the file to be written to. Note that if you attempt to write to a path that does not exist, and you do not have "create directory" rights on the server, your upload will fail. If you fill out just a filename here, the file will go to the remote server's default directory for uploaded files sent by your account, a value the administrator should have set. If in doubt, leave the path off or ask the site administrator to what directory should you send the file.

FTP Server (name or IP address)

Enter the name of the server to use (for example company.com). Of course, you must have access to the server in order to send the file there.

Port

This is the outgoing protocol port to use. Most users will not need to change this value. Advanced users who need to do so will know how to alter this setting and to what it should be set. If in doubt, leave it at the default value of 21.

User

This is the user name you're supposed to use on the FTP server. You must enter it exactly as given to you by the site administrator or the connection attempt will fail. Case may be sensitive. Contact your administrator if you encounter problems connecting.

Password

Enter here the site access password given to you by the site administrator. It is probably case-sensitive, so be sure it matches exactly.

Save Password

Check this to have HyperSnap remember your password between sessions. If you're the only one using your computer, this can save you looking it up during a later session. If maximum security is an issue (such as at work) you may want to leave this unchecked.

Use passive mode (PASV)

Some FTP servers require this setting. If you have difficulty accessing your server, try to enable PASV mode or contact your server administrator for help.

Proxy Server settings

If you're using a hardware or software proxy server that does not use transparent Network Address Translation (sometimes called NAT) and it requires your software to connect through its address (which it will then re-route to the outside world) then you must enter the address of the proxy here.

Copy link text to clipboard…

When this option is unchecked and you click on it, the Link Specification window appears. You may specify there the exact link text to the image file, which you would like to have copied to clipboard for inserting into HTML editor.

Clicking this option when it already has a check-mark just clears check mark and turns off copying of the link text.

FTP Profile Name

You can save all information necessary to access any FTP server in a named “profile” - this includes server address, port, user name and password etc. Simply type a name for your profile into FTP Profile Name box and then click Save FTP Profile button. To recall previously saved information, click the down pointing arrow and select a name from drop-down list. To delete a previously saved profile, again select it in the drop down list and click Delete Selected Profile button

Security warning: if you choose to save also your password, note that it will be written in registry database in slightly scrambled form. Someone reviewing registry casually won't be able to read the password, but an experienced hacker or someone running HyperSnap under a debugger program may decipher your password. Use caution and don't save password unnecessarily!


Link Specification for FTP upload

In this dialog box you may enter the text of the link which should be automatically copied to clipboard after a successful FTP upload. You may include macros listed below, which will be expanded as needed. For example if you have entered on FTP dialog box the following data:

Remote file name: /img/Snap7.jpg

FTP Server: www.myserver.com

and the image you uploaded was 300 pixels wide and 250 pixels high, the following text:

<img src="http://%server%%path%" height="%height%" width="%width%">

will be expanded to:

<img src="http://www.myserver.com/ img/Snap7.jpg" height="250" width="300">

This expanded text will be automatically placed in clipboard upon successful copy, and you may paste it into any web page editor easily.

Link text edit box and expanded text preview

The white space on the left is an edit box where you may click to type your link text. The grey preview box below shows the expanded text, if any macros were entered.

The buttons on the right insert the macros.

File

This button inserts the %file% macro into the link text. This macro is expanded to the remote file name of the uploaded image file, without the path.

Path

This button inserts the %path% macro into the link text. This macro is expanded to the remote full file and path name of the uploaded image file.

Width

This button inserts the %width% macro into the link text. This macro is expanded to the width of the uploaded image file, in pixels.

Height

This button inserts the %height% macro into the link text. This macro is expanded to the height of the uploaded image file, in pixels.

Server

This button inserts the %server% macro into the link text. This macro is expanded to the server name or address, as entered on FTP dialog box.

User

This button inserts the %user% macro into the link text. This macro is expanded to the user name, as entered on FTP dialog box.


Close

Closes an open image. If you've changed it but not saved it, you'll be asked if you wish to save your changes.


Acquire

If you have an image scanning device connected to your system you can use it to import a scan of hard copy into the HyperSnap workspace. If you've not already done so, you must first select the source for HyperSnap to use, with the Select Source function on the File menu.


Select Source

Use this function to choose from the available scanning sources on your system. If you have more than one you'll see a list of compatible devices for which drivers are installed. Choose the one you wish to use to scan hard copy and click Select.


Print

Displays the Printer selection dialog box prints the current image. How printed output will look is affected by the options you choose using the Page setup dialog.


Print Preview

This function provides a "what you see is what you get" preview of how your current document will look when printed.


Page Setup

From the dialog that appears you can define the precise layout format of printed pages. The options are pretty self-explanatory, and include paper size choices, margin sizes, and whether or not you want the document printed in Portrait or Landscape format.

There's a real-time preview on the Page setup dialog that gives you a good example of how your document will look when you print it.

Colors options

Here you can control certain functions such as Inverting Black and White (just like what it sounds), Black and White Only (converting the image from color or grayscale to black and white, which allows you to print color images to printer drivers that do not support them, such as dot-matrix printers), and Draw Frame, which puts a border around the image. That's handy if the image contains white or very light area that might cause it to blend in with the page's background.

Best Fit

Enable this to have HyperSnap select the best paper orientation for your image. Thus if the image is wider than its height, HyperSnap will select Landscape orientation and will then print it.

Center Image

Check this to have the program place your image directly in the center of the page. If you're not going to trim off the white space around the image, this is probably a good idea to check (it will make the image appear more nicely formatted on the page).

Auto-fit to Fill the Page

Scales your image up or down to fill all available space between the margins on the page, while still preserving the image proportions.

Auto-fit to Page Width

Scales your image up or down to fill the entire width of the page between the margins, while still preserving the image proportions. Unlike "Auto-fit to Fill the Page", with this setting the print-out may extend on multiple pages.

Scale option

Choose this to enter manually the scaling factor for printing your image. Values above 100% will enlarge the printed image, below 100% will shrink it.

Auto-fit if scale too large

This option, if selected, will work the same as Auto-fit to Fill the Page, but only if the scale factor you entered above would make the image too large to fit on one page.

Header and Footer…

Click this button to define header and footer text to use on printed pages. On the following property sheet that appears you can define the text and position of the headers and footers, all of which are fairly self-explanatory.

Font Size

Enter the font size in "point" units, which are 1/72 of an inch.

Header Text

Enter the header text that will appear on printed pages above the image you print.

Justify header text options

Select the justification of the header text: left, center, or right

Footer Text

Enter the footer text that will appear on printed pages below the image you print.


Send by Email

This function will attempt to contact your system's E-mail program and send the current image as a graphics file attachment. You'll be required to choose the image format and file name, plus set the recipient as well as whatever other options are required by the E-mail client itself. The options in this window are very similar to HyperSnap’s Save As window and allows you to specify the exact graphics format and its options for the mailed file.

Optional file name…

Enter a name for this file. HyperSnap will automatically apply the necessary extension.


Set as Wallpaper

This function sets the current image displayed in the HyperSnap window as your Windows wallpaper. The image must be converted to the correct format and your currently-specified wallpaper setting will be changed to reflect the new setting and filename.

You'll also be given options for displaying the wallpaper centered, tiled, or stretched to fit your current desktop's resolution, as may be required if the image is smaller than your desktop. (Stretching may cause some distortion if the image is not the same horizontal to vertical ratio as the Windows screen.)

Wallpaper image file name

This field displays a name for your new wallpaper file image. To change the name and location of the file, click the Browse button.

Center/Tile/Stretch

  • Center - will display your wallpaper image in the middle of your desktop.
  • Tile - will multiply the image as many times across and down as required to cover the desktop
  • Stretch - will enlarge (or shrink if necessary) the image to cover your entire desktop. Some distortion may occur on some images if they're small or an aspect ratio that differs from your desktop's.

Remove Wallpaper

This will remove your current wallpaper image and reveal the plain desktop color.


Exit

Exits HyperSnap. This will prompt you to save any images that you edited, but did not yet save.


Undo

This un-does the last operation you performed, if it was a change to an opened image. For example, if you adjust the color and don't like the result, immediately select this to "go back" to the previous version prior to the color adjustment. You can undo up to 10 recent changes to your image


Redo

This re-executes the previously "un-done" operation. You can toggle the state of this and Undo back and forth to examine the last change you've made to an image as a way of judging if you like the effect.


Cut

Copies the selected region to the Windows clipboard, and then clears the area by filling it with the currently-defined background color. If you mark a region with the Select area tool, only that region will be copied, otherwise the whole image goes into clipboard. The area you cut will be now available for inserting or "pasting" on other spots on the same image, on different images opened in HyperSnap document window, or into other programs.


Copy

Copy the select region of the current image. If you mark a region with the Select area tool, only that region will be copied, otherwise the whole image goes into clipboard. The area you copied will be now available for inserting or "pasting" on other spots on the same image, on different images opened in HyperSnap document window, or into other programs.


Paste

Pastes the contents of the Windows clipboard (provided it contains a compatible image format) into the current image. The image gets pasted into the current selection area, or into the upper left corner if there is no selection. Immediately after pasting, you may grab the pasted image with left mouse button and move around.


Paste as New Image

If the Windows clipboard currently contains a compatible image, this function opens a new document window within the HyperSnap workspace and then pastes the clipboard's image contents there.


Copy Format

This option lets you determine the exact format of image data sent to the Windows clipboard. Most users will not need to, nor should they, alter this option. But if you must take specific control of the outgoing format, set the output to the desired data type here.

Bitmap Format to Put in Clipboard

Select one or more bitmap formats that will be copied into Windows clipboard. Other applications can read this information when you paste images there.

  • DIB is Device Independent Bitmap format
  • DDB is Device Dependent Bitmap format
  • HTML is the World-Wide Web format, also used by many email clients (e.g. Outlook Express can paste only images in HTML format)

If you find that the Copy operation is too slow, disable HTML format, unless you really need it to paste images into Outlook Express or other documents, that don't accept DIB or DDB.

Auto select color format…

Please leave this option checked unless you have a specific reason to change it.

One possible reason to alter this would be to automatically reduce image color resolution from 16 million colors to 256 colors to make the picture consume less memory. (For example when pasting images into email, and then sending email over slow Internet connections, a 256 color image will be smaller and will transmit faster.)

Select color format - Black and white, 16 colors etc…

These buttons are available after you clear the Auto select color format… box. Click the button with the color format you need. New computer users who don't understand this issue should instead enable the Auto select color format option and not worry about selecting color formats.

Minimize window on Copy operation

Turn on this option as a "mouse-click saver," if you find yourself often executing a copy operation in the HyperSnap window, then you minimize the program to find the other document window (for example E-mail, word processor etc.), where you want paste the image. This will save that middle step for you by automatically performing it.


Full Screen (View menu)

Gives you a total-screen view of your image. If the image is larger than your available desktop, scrollbars will appear on the bottom and right hand sides, letting you see all of the image while in preview mode. Press ESC (or almost any other key) to cancel the full screen view. Use the mouse cursor to drag the scroll bar "elevator" buttons up and down or left and right to view the entire image.


Previous/Next File

Loads the previous or the next file in the current directory into the HyperSnap workspace. These functions give you a quick way of jumping back and forth in order to examine files within a directory.

In a way, these two tools are like a big-window "preview" function, letting you quickly see the files within even a large directory by hitting Page Down and Page Up to go forward and backward, respectively.


Toolbar/Status Bar/Drawing Tools

These functions toggle on and off different elements of HyperSnap's user interface. For example, if you don't need to draw on your image and want to have more viewing space, you can hide the Drawing Tools bar on the left part of the program's window.


Customize

Use this function to alter the appearance and function of the HyperSnap user interface. These tools let you add or remove buttons on toolbars and customize the menu and keyboard shortcuts.


Commands tab

Categories

Lists the default menus with toolbar buttons, commands, and menus that you can add to a toolbar or menu. When you select an item in the list, toolbar buttons, commands, or menus appear in the Commands box and can be further customized from there.

Commands

Displays a list of commands from the category you select in the Categories box. To add a command to a toolbar, drag the item you want from the Commands box onto a toolbar.


Toolbars tab

Toolbars

Lists available toolbars. To display a toolbar select the check box next to the toolbar's name. To hide a toolbar, clear the check box.

Reset

Clears any changes you made to the selected toolbar and restores the toolbar's original default settings.

Reset All button

Resets all toolbars to the original default settings.


Keyboard tab

Categories

Lists the default menus with toolbar buttons, commands, and menus that you can add to a toolbar or menu. When you select an item in the list, toolbar buttons, commands, or menus appear in the Commands box and can be further customized from there.

Commands

Click the command for which you want to assign or remove a shortcut key assignment. If you don't see the item you want, click a different item in the Category or Commands box.

Set Accelerator for

Displays all available document templates. This option is currently not used in HyperSnap, the only selection available is "Default".

Current Keys

Displays the shortcut key assignments, if any, for the currently selected command.

Press New Shortcut Key

Click inside this box then press the key or key combination that you want to assign to the selected command. When finished, click the Assign button. Note that if the key combination you try to select is already used by another command, Assign won't be available.

Assign

Assigns the keyboard shortcut in the Assign New Shortcut Key box to the currently selected command or function.

Remove

Removes the shortcut key combination defined in the Current Keys box.

Reset All

Restores all shortcut key combinations to their default settings.


Menu tab

Show Menus for:

Lists available menus. At this time, the only available menu in HyperSnap is the Default Menu. This may or may not change with later releases.

Reset

Resets the selected menu to its original settings.

Menu animations selector

Changes the way menus display when you click on a command. For example, the Slide Menu animation causes the menus to display with a sliding motion as if they were skidding across the workspace.

Menu shadows option

Displays menus with shadows.


Options tab

Show Screen Tips on toolbars

Displays on-screen descriptions of toolbar buttons when the pointer pauses on them.

Show shortcut keys in Screen Tips

When selected, displays the shortcut key in the ToolTip for a toolbar button (if one is available).

Large Icons

Increases the size of toolbar buttons so that they're easier to see.

Menus show recently used commands first

Shows basic and frequently-used commands on personalized versions of the program's menus. Clear this check box if you want to show all the commands on the menus without usage tracking.

Show full menus after a short delay

If enabled, when you rest the pointer over an open menu, the menu shows all available commands on that menu after a brief delay

Reset my usage data

Clears menu and toolbar usage data which is automatically saved when you choose menu commands and toolbar buttons. This data allows HyperSnap to display the most-used commands on the menus first, and hide rarely-used commands.


Close button

Closes Customize interface, all changes you've made will be automatically saved.


HyperSnap Help

Capture


Full Screen

Use this to capture the entire Windows desktop. On a multi-monitor system captures the desktop from the monitor that currently contains the mouse pointer. Use the Virtual Desktop capture function to capture all monitors together in a single frame.


Virtual Desktop

This function can capture the entire windows desktop, even from systems with multiple monitors, or from those using video drivers that let them have "pan-able" desktops that go out of view (on any axis, vertical or horizontal).


Window or Control

This function will capture a restricted region, such as just the contents of a program's window, or a single program control. Use this function when you want to capture just a small part of a running application or Windows itself.

As you move the mouse over the area to be captured, the various parts of the applications open or the system will "light up" showing you what is to be captured. Click the left mouse button to complete the capture.


Entire Page with Scrolling

This function will capture an image of an entire page or document, scrolling it down if necessary. Please set first the target window (from where you want to make a capture) at the very top or at the place from where you want to capture by scrolling down. Then select this function or press the corresponding hot key combination (Ctrl+Shift+S by default). Move your mouse in the middle of the target window and click there. The auto-scroll capture will start at once. You may wait until it’s finished or press Escape key to stop the scrolling at any time.

Find more information in the Using Auto-scroll tutorial.


Button

This function will capture a button (including toolbar buttons in many applications) and most buttons on web pages etc. You can use it in 3 different ways to capture the states of buttons that change not only when clicked, but when the mouse "flies over it" as is common with modern applications such as MS Office or Internet Explorer.


Active Window

This function captures the active (sometimes called "front") program window.


Active Window without Frame

This function captures just the "inside contents" of the active (sometimes called "front") program window. If you only want to get the window's contents rather than its border, this is the function to use.


Region

This function lets you capture a region you can define. It can encompass multiple windows, your desktop, or virtually anything that's visible on your desktop. Unlike the Capture window or Capture desktop functions, this function does not discriminate between the various windows on your screen.


Free Hand

Freely draw a bounding area (non-rectangular) around any part of the screen that you wish to capture. When you engage this mode, the cursor will change to large crosshairs and you'll see a magnified preview of the area below the cursor as you're capturing it. Draw around the outside of the area you wish to capture and then press ENTER or right-click and select Finish Capture from the popup menu. You can also click close to the capture starting point to complete Free Hand Captures.

The program fills the area outside of your bounding region with the pre-defined background color you've set in the Capture Settings dialog.


Pan Last Region

This function captures the same region size as the previous capture command, but allows it to be taken from any area of the screen. In effect, it's like taking your defined region box and letting you to "slide" it around the screen to choose another same-size area to capture. If you're fitting captures into specific-sized frames that will be placed into a document (for example) this technique will make that task easy, as each capture will be the exact same proportions as the previous capture.


Multi-Region

One of HyperSnap's most powerful features, this function allows you to define multiple regions using its built-in tools and then capture them. Multiple regions can be different shapes and formats, too. The program fills space between captured regions with the color you select on Capture tab of Capture Settings - Default background color for captures.


Mouse Cursor Only

This function will capture mouse cursor (pointer) only, drawn on any background color selected on Capture tab of Capture Settings - Default background color for captures. It works in 2 ways:

  • If selected from the menu or toolbar, it will wait for about 3 seconds for you to position the cursor where you want it (so that it has the shape needed).
  • If selected by pressing a hot key (which must be first defined under Capture/Screen Capture Hot Keys menu), it will capture the current cursor instantly.


Repeat Last Capture

This function repeats the last capture you performed, exactly as you performed it. This is a terrific way to capturing the "in progress" screens of a running program. By selecting this over a period of time or by repeatedly pressing its hot key, you can grab the same region, window, or control over and over to reflect a regular process or program function.


Extended Active Window

This function is available only when running on Windows XP or later operating systems. It captures the last active window, but before doing so, the program prompts you as to how big you want to make the captured window appear first. You may specify any size you want, even sizes much bigger than the visible screen. Note that this will work only for resizable windows. These are windows that you can also resize with your mouse pointer. It will not work on fixed-size dialog boxes or some tabbed control windows, for example.

Use this function to grab a web browser window that shows the entire web page, even if it would be 4000 pixels high. Or capture a spreadsheet table, even if you'd have to make the application window 5000 pixels wide to fit it.

Width

Enter the width, in pixels, to which you want to resize the window before capturing it. This value may be larger than your entire screen width.

Height

Enter the height, in pixels, to which you want to resize the window before capturing it. This value may be larger than your entire screen height.

Delay time before capture

Enter the delay time in milliseconds, that HyperSnap should wait between resizing the window and actually capturing it. The window may need this extra time to actually resize it's internal contents. If after executing "extended capture" you find out that the external window frame was resized as you wished, but inside everything is as small as it was originally, repeating the capture with longer delay time may help.


Enable Special Capture

Enables the special capture function to snap images from full screen games that use DirectX or Glide drivers, or from some video players that play in hardware overlays and can not be captured otherwise.

DirectX/Direct3D Primary Surface

Turn this option on to enable the Special capture feature for full screen computer games and other accelerated graphics software that uses DirectX® drivers. This option must be enabled if you want to select the next option below, DirectX Overlay.

DirectX Overlay, DVD, Video

Turn this option on to use the Special capture feature for capturing images from video players that use DirectX® drivers to create video overlay. Note: the option above this one, DirectX/Direct3D Primary Surface must be enabled or the capture won't work.

3dfx Glide

This option is enabled only if you have an old 3dfx graphics card and Glide drivers installed in your computer. It allows you to capture screens from games that use the proprietary 3dfx Glide drivers.

Enable post-processing… option

Allows you to set the gamma correction factor for images captured from games or video overlays, and set some extra post-processing for 3dfx Voodoo graphics cards.

3D graphics controller types

Select the type of graphics card you have. Most probably you should leave this at a default "other than listed below" setting. Change only if you know you have one of listed controllers in your machine.

Gamma Correction Factor

Allows you to set the gamma correction factor for images captured from games or video overlays. For example, if your captures come up too dark, set gamma factor to a value higher than 1 (for example, 1.5).

Set Default Gamma Value button

Sets the default gamma correction factor, which is 1 for most graphics boards, 1.7 for Voodoo 1, and 1.3 for Voodoo 2 and 3.


Capture Settings

Loads the configuration tabs that allow you to define the options for capturing, making possible (for example) rapid repeat capturing with auto renaming, and other advanced features.

Before you change a default operation, please make sure you're clear on what that function does and how it will change the way in which the program works. Jot down a note on what you've changed, in case you don't like the results and want to change them back.


Capture tab

This tab controls the core capture functionality. You will probably find yourself changing these parameters more than any other settings tab items. You can set the delay time between the start of capture function and the actual screen capture, whether to include mouse pointer into the capture or not, auto-scrolling of window contents to capture below the screen edge and many more options.

Delay time before the capture

You can specify the time in milliseconds (1000 milliseconds is one second) that the program will wait before executing the desired capture. If you set this time long enough, you could use it to open a menu or pop-up screen to capture, for example.

Auto-scroll refresh time

This is the time in milliseconds (1000 milliseconds is one second) between window refresh operations to be used during auto-scroll. HyperSnap will refresh the window it auto-scrolls at the rate specified here. You can use this to control how fast it shows you what it's capturing, which will let you watch the capture and (for example) stop a capture when it's gone as far as you need.

Default background color for captures

Set the default background color for new captures. You will see this color on an image if your capture was non-rectangular, e.g. had a shape of rounded corners, was circular, free-hand etc. Even for rectangular captures this selection has a meaning, if you later edit the image using operation that requires a background color defined. Of course, you may easily change this color to something else on the drawing toolbar of HyperSnap (usually on the left margin).

The Transparent setting decides if this background color is treated as "transparent", i.e. if whatever is beneath this image, should show through where this color is visible. The transparency information is only saved to PNG and GIF files, for other file formats or copy/paste image transfer to other applications it is discarded.

Include cursor image

Turn this on to have HyperSnap include the mouse cursor in the capture.

Turn off font smoothing for capture

This option, if selected, will turn off font smoothing (anti-aliasing, ClearType) before making the capture. This is often required for publishing images in print (books, articles). After the capture font smoothing is restored to the original setting.

Play sound...

Turning this option on causes HyperSnap to play its trademark camera shutter sound when you execute a capture. If you'd like silent captures, clear this box.

Hide this window…

Check this to have the program's window automatically hide before capturing the computer's screen. Turn this option off only if you want to capture the HyperSnap window itself. Usually you won't want it in the captured image unless HyperSnap is relevant to the reasons you're creating the capture. (Such as to file a bug report to us, showing a problem with the program.)

Restore this window...

Check this to have the program's window automatically come back to the front after a capture so you can examine the results.

Capture layered window…

Keep this option turned on to capture "layered" windows. These are oddly shaped objects like the obsolete "Office Assistant," or things like transparent or translucent windows. You shouldn't have to un-check this option except in the case of some buggy graphics card drivers, which may give you scrambled pictures while capturing with this option enabled.

Do automatic...

Turn this option on if you also enabled any of the following options:

  • Automatic paste or print on the Copy & Print tab.
  • Automatic save on the Quick Save tab.

…and you want to paste, print, or save the new captures only if they're different from the previous capture. Even a slight difference in only one pixel of the new image will trigger the paste, print, or save action.

Mark new captures as "modified"

Turn this option on to mark all new captures as “modified documents". When you try to close such capture window or entire HyperSnap window, the program will ask you if you want to save them.


Region tab

This tab sets options related to Region capture functions.

You can select if the help and zoom area should be initially visible, what should be the default region shape, in which mode to start multi-region capture and how to assemble multiple regions on one capture image.

Show help and zoom area...

By default HyperSnap shows some help when you begin a region capture. Once you understand region captures, you can disable the popup help text by un-checking this box.

Default region shape

You can choose from a list the region shape you want to use for region captures. Drop down the list to see the available choices. If you choose a non rectilinear shape, HyperSnap will fill the area around the captured data with the background color you select on Capture tab of Capture Settings - Default background color for captures.

Start multi-region capture with...

You can start multi-region captures with either a window/control selector or a region capture. After starting the capture, you can change to the other type as you wish by hitting the appropriate hot key for that type of capture and continuing.

Multi-region capture composition options

These 3 options allow you to decide how to compose fragments (regions) captured during multi-region capture, into one image:

Preserve each fragment relative screen position - captured fragments will be positioned relative to each other as they were on the screen, with the background color (as selected on Capture tab of Capture Settings - Default background color for captures) filling the space in-between

Tile fragments vertically - captured fragments are positioned one below the other in the order of their capturing.

Tile fragments horizontally - captured fragments are positioned one next to the other in the order of their capturing.

Multi-region capture tiling margin

If you use Tile fragments vertically or Tile fragments horizontally option, this field may specify an extra margin (background color space) inserted between the captured fragments. Specify 0 if you don't want any such space inserted.


Button tab

This tab sets options related to capturing button controls, such as OK or CANCEL on dialog boxes or other program interface components.

You can select if the captured area should be enlarged beyond the button's edges by the specified number of pixels on each side of the button. This can make the capture look a bit better when pasted into a document, giving you a little "breathing room" around the button graphic.

If you enter negative values, the area will be decreased instead of enlarged.

For example, to capture Internet Explorer 6 buttons together with a 1 pixel black frame surrounding them, set each of the Left, Right, Top and Bottom values to 1 pixel.

You may change all four values by 1 pixel up or down by clicking the [+] and [-] buttons in the middle of the group, or you can reset all values to zero in order to start over by clicking the Reset button.

Left, Top, Right and Bottom

Specify how many extra pixel lines or columns to capture on each side of a button.

[ - ] button

Click this to decrease all four values around by one.

Reset

Click this to set all four values around to zero.

[ + ] button

Click this to increase all four values around by one.


TextSnap™ tab

This tab sets options related to capturing editable text from almost any place on the screen. There are some limitations, e.g. text that was captured as a bitmap image, will not capture here. Windows operating system must write that text during program operation and screen re-painting for HyperSnap to be able to capture it. Also the text from Acrobat Reader (PDF) files can not be captured with this method.

Enable TextSnap for…

Select if you would like to capture text in plain or formatted format. Formatted will also capture font type and sizes, color etc. Turning both these fields off will completely disable TextSnap feature.

The Tab-delimited data capture is a special mode that disables the two choices above it. It can be used to capture data from tables, in a special format allowing easy pasting into MS Excel or similar spreadsheet programs, e.g. for financial analysis, calculations, sorting, plotting etc.

What to do with captured text…

Decide what HyperSnap should do with the text you capture. It will always copy it to Windows clipboard, so that you could instantly paste it into any text enabled application (e.g. email, MS Word, Notepad…) Additionally HyperSnap may show captured text in it's own window in different ways - review the on-screen choices.

Note: Your settings from Copy & Print tab regarding pasting of each capture to a selected window, are also respected. You may use it to instantly paste captured fragments of the text e.g. to MS Word document.

Additional delay for "Text from an Object under Cursor" command

If you must capture text from some elusive object that disappears as soon as you press any key or mouse button, enter a larger value, such as 3000 ms (3 seconds) and click OK. Now you can select Text from an Object under Cursor from HyperSnap Capture menu, or press the corresponding hot key combination, and the actual capture will be done only after that time elapses. Quickly click whatever is necessary to display that object and place mouse cursor over it, then wait for TextSnap to finish its job.


Crop & Scale tab

This tab sets options related to automatic clipping out unwanted parts of your image or automatically reducing/enlarging the image's size.

Crop Image

Check this to enable automatic cropping of captures which will use the values defined by the boxes in this group of controls. If you're repeatedly cropping your captures (and always by the same amount) this can save some time during batch operations.

From Left and Top

Enter your cropping start point as an offset in pixels from the top left corner of the image.

Crop Width and Height

Enter the width and height of the cropped area.

Set to current selection rectangle

Click this button to set your crop image parameters to the size and position of the current selection rectangle (there must be one defined on the image in HyperSnap workspace). This makes cropping setup extremely easy. Simply capture the image at the size you wish to use, mark the crop you want to use from that point on, and click this button.

Scale Image

Check this to enable automatic image scaling of your captured data. This allows you to do many captures and automatically re-scale each to fit exact specifications rather than having to do this manually after your capturing tasks are complete. Use the values in the data entry boxes of this group to set up scaling parameters as you desire.

Scaling Width and Height

Enter the scaling width and height, in pixels, or scaling as a fraction of or multiple of the original image size. You can scale your original captures (which may be any size) to a specific size using this function. If the width and height aspect ratio aren't linked, the image will become distorted after scaling.

In pixels

Check this to define your scaling to be in pixels (versus a fraction or multiple of the original size).

Scale factor

Check this to define your scaling to be a fraction or multiple of the original size (versus pixel count).

Set scale to current selection rectangle

Click this button to set your scale image parameters to the size of the current selection rectangle (there must be one, of course, defined on the currently-active image within HyperSnap's workspace).

Keep Aspect

Check this to link the aspect ratio of both width and height to keep the image from becoming distorted. If you don't link the values, and select different ratios for the two dimensions, the image may appear "squeezed" or "stretched."

Interpolate

Check this to set the program to smooth out scaling (especially "upward") by interpolating the pixels between areas. This should improve the appearance of drastically scaled images somewhat.


View & Edit tab

Here you can set what happens with each newly captured image. The default is to create a new document window inside HyperSnap to display that image, but you have several other choices: replace the image in currently opened document window (so that previous image is lost, if you did not save it), or paste that new image over the old one in different ways.

Create a new window for each capture

Select this to have each image you capture placed in a separate document window inside HyperSnap's workspace. When more than one picture is opened, you'll see tabs with the capture or image names at the bottom. You can click on these to easily switch between images in order to work on them.

Replace the image in the current window…

Select this to have the same document window re-used for new captures. This is similar to the way older HyperSnap ver. 4 worked. If there is no document window opened yet, one will be created after the first capture.

Note that with this option selected, you should save or print your previous captures if you need them for anything. Otherwise they'll get discarded when you perform new captures.

Paste each new capture onto the current image

Check this to paste each new capture onto the current image. This allows you to collect a series of smaller captures in a larger image almost as you might find within an album format. The new data is highlighted as an object and can be relocated until you click elsewhere on the workspace or perform another operation. Once you've clicked (or done another capture) the previous data is "glued" to the base image.

When you select this option, you may also make additional choices below in the Extend drawing space… frame.

Extend drawing space…

Check this to select one of the options below for automatic image size extension if needed to paste a new capture on it, and either positioning multiple captures in the same relative offsets as they were originally on the screen, or tiling them.

Preserve new capture relative screen position

Select this to position multiple captures pasted on one image in the same relative offsets as they originally were located on the screen. Useful if you're building a replica of a workspace running multiple programs, for example, but you only want to capture one at a time.

Tile vertically or horizontally

Select one of these options to have new captures inserted to the bottom (vertically) or right (horizontally) in relation to the current selection area.

Since a newly inserted image automatically becomes selected, having this option enabled will automatically tile the images you capture next to each other in the order of their captures.

When tiling, insert a margin of…

Enter an optional margin between pasted images when you use one of the tiling methods the program offers.

Do not change current image

Select this if you want HyperSnap to leave the workspace alone and put captures on the Windows clipboard (or print or save them, also options) based on settings in the Copy & Print or Quick Save tabs.


Copy & Print tab

You can define some specific "paths" captured data can take (in addition to being visible in the program's main window) - such as copy the image to Windows clipboard, and optionally even paste it into another program, or automatically print each new capture.

Copy each capture to clipboard

Check this to instruct the program to also send its captures to the Windows clipboard. The image thus captured is immediately available for pasting into any program or document that can accept bitmapped-format images.

Paste each capture to…

Check this to have captures automatically pasted to a running application after it's put onto the system clipboard. You should next select the window into which you want to paste images using the selection box that's accessed below this checkbox.

Paste capture to… window name

Choose from one of the windows available on your desktop, where you wish to send the captures. HyperSnap will attempt to send the image through the clipboard to this window. It must be running at the time you capture (don't close it after setting its name here) and it must accept bitmap image format formats via clipboard functions.

Minimize this window before the capture

Check this to have HyperSnap automatically minimize the application into which you've chosen to have captures pasted. It will minimize the application before you begin a capture.

Minimize this window after the capture

Check this to have HyperSnap automatically minimize the application into which you've chosen to have captures pasted. It will minimize the application after the image was captured and pasted into it.

Automatically print each capture

Check this to have HyperSnap automatically print each capture you make.

Prompt for printer

When you enable this in addition to "Automatically print…", HyperSnap will display a standard Windows Print dialog box to let you select the printer and printer settings each time after the capture. When this is disabled, HyperSnap will use the default system printer and settings.


QuickSave tab

This tab contains the settings for one of HyperSnap's most powerful features, you can quickly build up a collection of captures (for example, during game play, or during other rapid action) by letting the program automatically save each capture and automatically define filenames for it as it proceeds, or even automatically upload them to a remote FTP server.

You can also enable automatic timed capture, for example to snap a pre-defined fragment of the screen every 30 seconds and save it to a file or upload to a remote server.

You can always go back later and re-name the files if you want to use different names. A great timesaver when capturing a long list of screens for documentation purposes or to illustrate "steps" of operation.

Automatically save each capture…

Check this to save each capture automatically to a file. This lets you quickly collect images of a game in progress, or the status of a program operating over time, even without having to stop to specify each filename to use.

Save (upload) to FTP server

If you select this option, HyperSnap will try to automatically upload your images to an FTP server (defined when you click Change button) instead of to a local disk.

Prompt for name on each capture

Check this to have the program ask for a file name after each capture. After specifying a name, you can continue with more captures, simply specifying a name after each one.

Auto save File Name

Displays the filename to use as the "root" filename when auto-saving files. Used mainly when you disable the Prompt for name function, above. The program can automatically increment the numerical part of the filenames as you proceed with more captures, keeping the root constant.

To change the root name, file format, and directory location, or to specify FTP server, user and password, click the Change button next to this field.

Change

Displays the HyperSnap Save As dialog box (when saving to a local file) or Upload to FTP Server box, where you specify file name, path, graphics format, and other parameters as necessary to save your captured images.

Increment file name, start at … stop saving at …

Check this to automatically increment the numerical part in auto-save file name, then also specify at what numbers to start and stop saving the files. This allows you to save many images all with the same "root" name. (Useful for grabbing many images of a procedure or game play.)

Only the last numeric group gets incremented. For example if you have a file name like Img123-017.bmp, the next image captured will be saved as Img123-018.bmp.

The "stop saving at" number controls how many digits are used in that last numerical segment. For example, if the "stop saving" number was 99, the file name would be: Img123-18.bmp (only 2 digits). If it was 000: then the file would be called Img123-0018.bmp (4 digits in 1000).

Advanced users who understand C/C++ language printf() integer format specification, can use these too by setting the File Name to something like Snap%04d.gif. This specification will take precedence and will be used even if it's not the last group of digits in the name.

Increment file name by…

If "Increment file name" option is selected, this value decides by how much the number contained in file name is incremented. By default this is 1 to get names like Capture001, Capture002 etc. For more information read the help on "Increment file name" check-box.

Loop from 1 to "stop" number...

Check the box to set the program to use the numbers in Start and Stop over and over as you repeat captures. This can prevent you from filling your hard disk with captures. Previous captures using the same file names are thus overwritten as the program re-uses the names when doing new captures.

Repeat first capture every…

Enter a value in seconds to set the program to grab captures of the specified type every X seconds. For example, if you want to capture the same window every 20 seconds, set the value to 20, then click OK, hit the hot key for window capture, select the window to be captured, and the program will repeat this capture every 20 seconds. You can use decimals (such as .5) to capture within fractions of a second, too, if you need the additional precision.

Combined with the automatic incrementing of files, this lets you capture complex program behavior without worrying about making the next capture. To stop automatic repeat captures, press the default "stop auto-capture" hot key Shift+F11 (unless you re-defined this hot key to something else using the Options tabs).

Continue on error

If you check this, the program will continue automatic capturing even if a minor error occurs in capturing or saving the image.

Use the above naming…

When this option is turned on and "Increment file name" selected, HyperSnap will use the naming scheme defined here also for naming captured images (tabs in HyperSnap window) even when not auto-saving to files.


Screen Capture Hot Keys

This function allows you to change the HyperSnap system-wide hot keys for the image capture functions, from the default values. Use if you run into a conflict with other applications that require system wide hot keys, or if you find our default assignments inconvenient or hard to remember, change them to keystrokes you prefer instead.

Hot key definition fields

This field lists the current hot keys or key combinations for the operation or function listed to the right. To change the hot key or combination, click inside that field and press the desired key or key combination.

Print Screen Key Handling

Select the capture function that HyperSnap should execute upon pressing the Print Screen key. Choose "None" if you want the Windows system or other program to handle this key.

Defaults

Restores HyperSnap "factory default" hot key assignments.

Revert

Click this to revert back to the original settings. If you accidentally change a keystroke or decide you want to keep a previously-customized value, this button will do it.

Clear All

Click this to clear all the hotkeys to "None." This allows you to set the keys all from "scratch" without conflicts between existing key settings and the new ones you wish to use.

Enable Hot Keys

Make sure there's a check-mark in this field if you want your hot keys to be active. You may also toggle hot keys from a button on the HyperSnap main toolbar or by selecting Options > Activate Hot Keys.


Crop

This function allows you to mark out a region of the file and clip the file's contents so they include only the defined region. Essentially this is like taking scissors to the picture and cutting off everything outside of the rectangle you define. When you click this your tool will change to the cropping tool, which you then outline the cropping rectangle over the image.


Cut out strip

Cut out strip - Horizontal

Cut-out a horizontal strip from the middle of an image and join remaining parts. This could be used for example to remove a horizontal banner ad from a captured web page.

Cut out strip - Vertical

Cut-out a vertical strip from the middle of an image and join remaining parts. This could be used for example to remove a vertical "sky-scraper" ad column from a captured web page.


Change Resolution

This function is different from simply "resizing" or scaling an image. It changes the value of the dots per inch specification. This will change how different devices or programs render the image. For example, if you capture something from a typical computer screen that has a resolution of about 96 dpi, then set the resolution for that image to 200 dpi, your printer will print this image about half the original size. It does this because the dots are now set to be resolved at a higher count per inch. So the printer driver will "close up" the dots it puts on the paper to match the DPI value within the image.

Horizontal Resolution

Define the horizontal resolution of your captures in Dots Per Inch. Most SVGA screens are 96 DPI. If you find yourself repeatedly setting this value upward (or downward) after captures to fit the work's destination device or usage, you should change the default to the value you most commonly require.

Vertical Resolution

Define the vertical resolution of your captures in Dots Per Inch. Most SVGA screens are 96 DPI. If you find yourself repeatedly setting this value upward (or downward) after captures to fit the work's destination device or usage, you should change the default to the value you most commonly require.

Apply to current image

Select this check box to apply these settings to the current image.

Use as default for future images…

Check this to use the value here for future images captured from the screen.


Scale

This function scales the image inside of the HyperSnap workspace to fit the dimensions you choose. You may re-scale it and keep its aspect ratio, or you may alter each axis independently, which will cause the image to become distorted. After selecting this function a dialog will appear where you can choose a percentage of original size to scale to, or you can change the direct pixel-based dimensions.

Scale slider

Drag this tool left and right to quickly control the scaling tool percentage of original size value.

Percent of Original Size

Define a percentage of original image value to use when scaling the image. The default is 100% or no change. This value will effect a change in the pixel values, below, as you change it. You can alternately change the pixel values to effect changes here, the controls are linked to represent their relationship.

Width, in pixels

Define a pixel width size to use for the image. This is linked to the height if you've checked Keep aspect.

Height, in pixels

Define a pixel height size to use for the image. This is linked to the width if you've checked Keep aspect.

Set scale to current selection rectangle

Click this button to set your scale image parameters to the size of the current selection rectangle (there must be one, of course, defined on the currently-active image within HyperSnap's workspace).

Keep Aspect

Check this to link the aspect ratio of both width and height to keep the image from becoming distorted. If you don't link the values, and select different ratios for the two dimensions, the image may appear "squeezed" or "stretched."

Interpolate

Check this to set the program to smooth out scaling (especially "upward") by interpolating the pixels between areas. This should improve the appearance of drastically scaled images somewhat.


Auto-trim

This function attempts to trim off excess blank background canvas from your image, making it smaller. The best method to see if this works for your current image is to try the function and then immediately hit Edit / Undo if it doesn't trim the image in the method you expect. Results may vary depending on the image.


Stamps

Use this tool to define, and later insert Stamps on your image. The stamps are composed of any other image fragment and can include styled text that you define. The text may contain macros that dynamically include other information such as the current date and time, the image file name, and so forth.

You can put Stamps anywhere on the image or you can append them to the top or bottom as graphical headers or footers.

Stamps Folder and Browse button

Displays the path to the current stamps catalog folder. You may change this path and select a different catalog by clicking the Browse button. You may have up to 40 stamps in a folder. If you need more than allowed, simply create multiple stamp folders and switch between them as you require.

New Stamp…

Click this to define a new stamp.

Edit…

Click this to edit the stamp selected in the list box on the left.

The options available under New Stamp and Edit Stamp are explained in the “New Stamp/Edit Stamp dialog box” chapter.

Preview…

Click this to preview a stamp selected in the list box on the left.

Delete…

Click this to delete the stamp selected in the list box on the left. The stamp file goes to Windows Recycle Bin and can be still restored from there until you empty the bin.

Insert

Click this to insert the stamp selected in the list box on the left onto the image currently opened within HyperSnap's workspace.

When you click this button, the "Edit Stamps" dialog box will go away and you'll see the stamp on your image. You may move the inserted stamp around, resize it, or even double-click it to edit this specific instance of the stamp (for example, to change the text on it) without altering the originating stamp.

Stamp list

This box lists all the stamps defined so far in the current stamps folder. Click any stamp name to select a stamp and have the buttons on the right act on it (for example, edit this stamp, preview it, delete, or insert it on your current image).

The check boxes on the left side of the stamp name indicate stamps that are set to be auto-inserted on each image you capture. Click into any of these boxes to set the options for auto-inserted stamps.


New Stamp/Edit Stamp dialog box

The same dialog box with several tabs at the top pops-up when you create a new stamp or edit an existing one.

Stamp Name

Enter the name of the edited stamp. If the name was already assigned to a stamp and saved, you may change it here, effectively creating a copy of the same stamp under a new name allowing multiple versions of similar stamps.

Save Stamp/Insert options

These 3 options decide what happens when you click the OK button:

· Save stamp will save it to your stamp folder for future use, but it will not insert it on the current image in HyperSnap workspace.

· Insert on picture will only insert this stamp on the current image within the HyperSnap workspace, but it won't save any changes you make to a disk file for future use.

· Insert and save will do both, saving the changes to disk and inserting the stamp into the current image or selected area within the image.

Preview

Click to see a preview of the fully composed stamp. You may also set the overall stamp size in this preview mode by re-sizing the preview window.


Image tab

From Selection

Click this to use the image currently opened in HyperSnap workspace on this stamp. If a selection rectangle is visible on the workspace image, only the selected fragment will be used on the stamp, otherwise the entire image is used.

From File…

Click to select an image from a graphics file on disk. This image will be used as the stamp's background.

Edit Image

If you need to edit the image currently selected for the stamp, click this button. The stamp is saved and the Edit Stamp dialog closes. Your stamp image then appears inside HyperSnap's workspace, ready for editing with all the program's tools.

Delete Image

Remove an image from the stamp. Only the text part (if any) remains inside the stamp definition file.

Use this image…

Check to use this image on the stamp. If you clear this box, the image remains inside the stamp definition file, but when you preview or insert the stamp, the image isn't used.

Image preview frame

This frame displays a preview of a picture you selected to appear on your stamp.


Text tab

Font button

Click to display a standard Windows font selection box. This new font is then used from the current cursor location. If you selected text prior to opening the font box, the program applies your font selection to the existing text as well as to type created from that point forward.

Left-justify text

Click to left-justify the current text paragraph or the selected range of pre-existing text.

Center text

Click to center the current text paragraph or a previously-selected block of text.

Right-justify text

Click to right-justify the current text paragraph or a previously-selected block of text.

Bold, Italics and Underline

Click these buttons to apply bold, italics and underline text styles to a previously-selected block of text, or to use this new style from the current cursor location forward.

Date

Inserts the %date% macro into your text box. HyperSnap expands this macro to the current date at the moment you use this stamp.

Time

Inserts the %time% macro into your text box. HyperSnap expands this macro to the current time at the moment you use this stamp.

File

Inserts the %file% macro into your text box. HyperSnap expands this macro to the file name of the image, on which you insert this stamp (for example, Snap023.bmp).

Path

Inserts the %path% macro into your text box. HyperSnap expands this macro to the full path and file name of the image, on which you insert this stamp (for example, C:\Images\Snap097.bmp).

User

Inserts the %uname% macro into your text box. HyperSnap expands this macro to the name of the user logged into Windows when you use this stamp.

Use this text…

Check to use the text on the stamp. If you clear this box, the text remains in stamp definition file, but when you preview or insert the stamp, the text is not used.

Text edit box

Enter text here. You can apply different fonts, colors, and formatting to any text fragment, pretty much as in a word processor.


Frame tab

Frame width

Enter the width in pixels of a frame to be drawn around your stamp. Enter 0 (zero) if you don't want any frame. The frame is a solid line drawn in the Frame color defined to the left of this field.

Make it transparent

You can make the selected background color transparent on your stamp. When such stamp is inserted, any part of that color will allow the underlying image to show through the stamp's contents.

Image position: Left and Top

Enter an offset in pixels from stamp top left corner, for the image defined on Image tab. This value is not used if your stamp does not contain an image.

You may use this together with Text margins values to compose a stamp that contains non-overlapping image and text.

Text margins: Left, Top, Right and Bottom

Enter the margins for your text field, in relation to the overall stamp size, in pixels. These values are not used if your stamp does not contain any text components.

You may use this together with Image position values to compose a stamp that contains non-overlapping image and text, formatted as you desire.

Stamp size: Width, Height and Set to image size

The Width and Height fields show and let you modify the overall size of your stamp, in pixels. You may also:

· Click the Set to image size button to make it exactly the same as the size of the picture selected on Image tab.

· Set the size interactively by clicking the Preview button and resizing the Stamp Preview window that pops up.


Placement tab

Place at current selection

Select this option to have a stamp placed at the current selection on the image. If the selected area is too small to fit the stamp, the program expands it to contain the entire stamp. If you haven't defined a selection, the program places the stamp's origin at the upper-left corner of the image.

Extend picture at top or bottom…

Select this option to have the stamp applied to the top (as a header) or attached to the bottom of the picture (as a footer) when you insert it. The stamp width will then be set to the width of the entire target image. The height used will be just large enough to wrap and fit all of the text and image content of the stamp into the resultant width plus height area.

Place on the picture

Select this option to have this stamp placed on the picture in the HyperSnap workspace according to options that you make below.

Offset: Horizontal, Vertical and From picture options

The Horizontal and Vertical fields allow you to enter the offset in pixels from the location within the current image, that you select below. For example, if you enter a horizontal offset of 10 pixels, and a vertical offset of 20 pixels, and then select From picture: Center, the stamp will be moved 10 pixels to the right and 20 pixels down from the exact center. Enter negative values to move in the opposite directions.

Note: if you select any Right edge, the positive horizontal offset is to the left. Similarly, for any Bottom edge, positive vertical offset is up.


Options tab

Image masking with a stamp

Enable this option and then select the color present on your stamp, that should „mask" the target image - that is hide that part of the image as if it was not present - by making all these pixels to have "transparent" color. If the target image on which the stamp is inserted does not have any transparency yet, a transparent color will be selected automatically.

Blend (Transparent to Opaque)

Use this slider to control how much your stamp blends in with the base image. It can be set to be Opaque, or no blending, to Transparent, which is 100% blended with the base image.

Auto-add this stamp to all captured images

Tells the program to insert this stamp automatically on all images you capture with HyperSnap. Great for the application of copyright text to game screen captures, or for other "production" uses where you'd like text or other data to be applied without any other action. This can save a lot of work when you've got to create a bundle of captures for public release or other purposes, and you want to declare ownership, authorship, and so forth.


Mirror

Horizontal or Vertical

These functions "flip" the image from left to right (Vertical Mirror) or top to bottom (Horizontal Mirror), as if seen in a mirror.


Rotate

Rotate 90 deg. Right

This function rotates your image 90 degrees to the right. Useful with digital photos taken by a camera held vertically in order to restore correct image orientation.

Rotate 90 deg. Left

This function rotates your image 90 degrees to the left. Useful with digital photos taken by a camera held vertically in order to restore correct image orientation.

Flip

This function rotates your image 180 degrees. It flips it upside down.

Any Angle

This function rotates the image as if you were spinning a painting canvas on a flat table. Because the image will no longer be rectilinear when you rotate it, the empty areas that will appear (needed to keep the image rectilinear) will be filled with the pre-defined default background color.


Shear

This function "shears" the image, which will make it appear as though one horizontal edge was held in place, and the other was dragged to the left or right. A vertical shear option is also available. Examine the preview that will appear when you use this function to see how it alters the image.


Mosaic

This function applies a special filter over the image to make it appear to be made from mosaic tiles. Experiment with different tile sizes to see how the effect works. Smaller tiles keep more of the original image's information, larger tiles replace more of it with tile borders and can make it harder to recognize.


Emboss

This function applies a special filter to the image to give it the appearance of embossed paper (or metal). You can control the direction of the light (from which direction it appears to originate and in which direction it shines) as well as the apparent depth of the embossing. Deeper embossing results in more distortion compared to the original image.


Sharpen or Blur

This function sharpens or blurs (softens) your image. You can use it after resizing an image smaller, to enhance the clarity of text or other small detail.


Shadow

Adds what looks like a 3D drop shadow to selected areas of your capture. It has several methods of operation, working either automatically using your preferences established within the Shadow dialog each time you capture, or manually, being applied around a selection as an effect tool.

Shadow Size slider

Drag this slider to set your shadows to be either closer or farther away from your selection.

Inner Shade slider

Drag this slider to set the darkness of the shadow's umbra, the core of the shadow. Dark increases the apparent contrast of the shadow, making the light appear more "harsh and sharp." Lighter values makes the shadow "softer" and the light it is imitating will appear less harsh.

Diffusion slider

Drag this slider to set the diffusion of the shadow. Moving this slider all the way to left produces a sharp shadow, as if from a distant point light source. Moving it to right produces more life-like diffused (soft) shadow, as if from a closer, sphere shaped lamp.

Direction slider

Drag this slider to change the direction of the shadow. Observe the effect in the preview window to the right.

Shadow background color

Click the down pointing triangle to select the background color from palette, or click the „eye dropper" button to pick up background color from anywhere on the screen.

Note: this color is used for shadow background for the parts of shadow that fall beyond the current image area. If you select a small area inside your image and add shadow around it - the shadow background will be the old image, not the new color.

Add around the current image selection option

Checking this tells HyperSnap to apply the shadow to the image currently loaded into the HyperSnap workspace. The program will add the shadow around the current selection on this image, or to entire image if a selection isn't visible.

Auto-add this shadow to newly drawn shapes

If this option is selected, all shapes that you subsequently draw on your image, using any of the drawing tools found on the drawing toolbar, will have this shadow added to them. You can also turn this feature on or off with the “Toggle Object Shadow” button [image] on the main toolbar.

Auto-add this shadow to all captured images option

If you're doing a collection of images where you'd like this shadow to be used (for example a photo album of screen captures), checking this box will force the program to apply the shadow automatically, without any additional effort required on your part.


Frame

Applies flat or 3D frames around or onto your images. You may also set an option here to auto-add a frame to all images you capture with HyperSnap.

Total frame width

Enter the total frame width in pixels.

3D Effect

Click this to enable a 3D look for your frame. When enabled, you can modify additional parameters that will alter the 3D-like appearance.

Outer band parameters

Enter the width in pixels of the outermost part of a 3D frame. Then select if it should be raised (will have the highlight color) or sunken (will have the shadow color).

Inner band parameters

Enter the width in pixels of the inner part of a 3D frame. Then select if it should be raised (will have the highlight color) or sunken (will have the shadow color).

Add around the current image selection option

Check this to apply the frame to the image currently opened within the HyperSnap workspace. HyperSnap will draw the frame around the current selection on the image, if one exists, or around the entire image, if there is no visible selection.

Auto-add this frame to all captured images option

Check this to auto-apply this frame to every image you capture.


Color Resolution

This function allows you to adjust the total numbers of colors in the current image as well as set dithering options when you reduce colors. Dithering causes the program to attempt to approximate the appearance of removed colors by altering the colors of adjacent pixels to more closely resemble the original image. It does this by using what appears to be a lesser resolution (a bit like how some newspapers handle color photographs).

Bits Per Pixel

Select color depth of your image here. The different bits per pixel values permit the following maximum number of colors in any image:

1 - only 2 colors, either black and white if you select Std. Windows palette, or averaged colors from the entire image for Optimized selection

4 - up to 16 colors

8 - up to 256 colors

16 - up to 65536 colors

24 and 32 - millions of colors, more than you can see.

Bits Per Pixel - Valid for GIF files only

There is no advantage in selecting these bit values, unless you plan to save your image to a GIF file only, in order to save it in the smallest possible size (thus optimizing for fast web page loading). The different values permit the following maximum numbers of colors:

2 - up to 4 colors

3 - up to 8 colors

5 - up to 32 colors

6 - up to 64 colors

7 - up to 128 colors

For file formats other than GIF, select the next number up in the left-most column. For example, instead of 2 or 3 bits per pixel, select 4, which permits up to 16 colors in an image without increasing file size.

Dithering Methods

Dithering means using groups of dots of different colors to approximate any missing colors in an image color table. The choices here are available when you reduce images from 16 or more bits per pixel formats to 8 bpp or less. Click on the different dithering method choices to see an instant preview of your picture, and select the method you prefer.

Palette (color table) choices

These choices are valid only if you select 8 bits per pixel or less for your images. They tell HyperSnap what kind of color palette (color table) to synthesize when reducing image colors to the maximum allowed number.

Optimized - choose a palette that best matches all colors on the original image.

Std. Windows - choose a palette that contains at least the 16 standard Windows colors. The rest, if available, will be still optimized and available.

Netscape - choose Netscape browser "safe" palette.

Black & White - convert the image to black and white colors only.

Revert

Restores the original image, discarding the choices you've made above.


Black and White

This function converts the image to a monochromatic black and white image. You can adjust how dark or light you wish the product to be by dragging a slider back and forth or by typing the black level value in the provided box.

Black level slider and edit field

Enter a value between 0 and 100, or move the slider left or right to adjust how your image will be converted to black and white. You can observe an instant preview of your altered image within the HyperSnap window, and thus easily stop when you think the image looks as desired.

Automatically apply…

Turn this on if you want the black and white conversion defined above automatically applied to all images you capture with HyperSnap.


Halftone

This function converts a color image to a black and white halftone image, similar to how a newspaper prints a photograph, using a halftone "screen."


Gray Scale

This function converts a color image to up to 256 shades of gray.


Color Correction

Use this function to adjust image brightness, contrast, hue, color saturation and perform gamma correction of colors.

Brightness

You can adjust the brightness of your image (just like how you adjust the brightness on a TV) by using the controls here. Move the slider to the left or enter a negative value (-1 to -100) to make the image darker, to right or positive value to make it brighter.

Contrast

This function works exactly like the same-named control on your color television set. You can adjust the "knee" of the image so that it represents a greater or lesser range of contrast values. The effect here will be to "block up" the image (have more contrast between dark and light areas) or "flatten out" the image (have less contrast between dark and light areas).

Hue

This function works like hue control on your TV. You can adjust color "bias" of your image with these controls. The degrees represent the angle on the "color wheel", where all possible colors are represented on a wheel like the hours on a clock. By pointing at a certain degree, you bias the color balance of the image using the color that's located at the indicated position on the wheel.

Saturation

These controls let you adjust the degree of color that the image expresses. The saturation value is most easily understood by thinking of your television again. It's like the knob usually marked, "color." Turn it up and you get more color. Turn it down and you get less. All the way down and you get a grayscale image like a black and white photograph.

Gamma Correction

These controls allow you to adjust the white content of your image. Using gamma correction you can "brighten up" dim images or images that appear overly "dense." Doing so will bring out shadow details so long as there is some image information in the darker areas. You can also darken-down overly washed-out images by setting the gamma level lower.

Apply changes immediately

Turn off this option, if you find out that each operation of the controls above (moving a slider or entering a value) takes too long to be applied to the image and displayed. You may then adjust the controls at will and click the "Apply" button only when you are ready to review the changes.

Revert

Click to revert the image to its original state, that is, undo the changes done since entering this function.


Invert Black and White

This function reverses the black and white values of the image. It only changes areas that are either pure white or pure black, and no other regions are affected unless they contain spots of either color.


Invert Colors

This function reverses the colors in the image. If your original image is a positive (like a slide or a printed photograph) the result will look like a camera negative. If the original is a negative image (like a scan from a film strip negative), the result will appear as the shot would when printed on photographic paper.


Substitute Colors

This function does pixel by pixel substitution of colors on your image according to the list you define. You can create each entry in the list as one of two types. First is a simple one way "replace" substitution. You could set the program to replace green pixels with red. Second you can execute a two-way substitution or "swap," so that (for example) where a white pixel exists the program should replace it with black, and where a black pixel exists, the program should replace with white.

Color replacement table

This table lists color pairs to be replaced or swapped.

· The Replace indicator > is a one way operation. When executed, for example, on white-to-blue, Replace will paint any white pixel on your image blue. It makes no other changes to the image.

· The Swap indicator <> is a two way operation. Again using white-and-blue, the program replaces white pixels with blue, and blue pixels with white.

This is a multiple selection list box. To select more than one entry, hold the CTRL key and click the items you wish to edit. Selecting two or more items here will let you, for example, change all of them at once from Replace to Swap or to set the same New Color for all selected items.

Add

Adds a new entry to the color substitution table. Initially this new entry has both colors set to white and uses a Replace > operation. Set the colors and operational mode to those you need below the table in the Details frame.

Delete

Deletes the currently-selected entries from the color substitution table.

Delete All

Deletes all entries from the color substitution table. Asks you to confirm the deletion first.

Open List

Open a color substitution list that was previously saved to a disk file.

Save List

Save the current color substitution table to a disk file.

Apply

Apply the color substitutions defined in the table to the image currently opened in the HyperSnap workspace. Offers an immediate preview of the result, you may click the Revert button if you don't like this result.

Revert

Restores the image in the HyperSnap workspace to its original state after you applied some color substitutions. Used to "go back" to the previous state.

Done

Closes the Color Substitution dialog. The color changes defined are not automatically applied to the image opened in HyperSnap workspace. If you want them applied, please click the Apply button first. HyperSnap will remember your newly defined (or modified) color table for later use on this and other images and it will re-open in the same mode.

Old Color RGB values and picker

Shows and lets you modify the "Old" color part of the substitution item(s) selected in the table above. The RGB stand for color components Red, Green and Blue, and can range from 0 to 255. Often it's easier to use the color picker instead. Click the eye dropper to select a color from anywhere on the screen, or choose a color using the downward-pointing triangle to select it from a color table.

New Color RGB values and picker

Shows and lets you modify the "New" color part of the substitution item(s) selected in the table above. The RGB stand for color components Red, Green and Blue, and can range from 0 to 255. Often it's easier to use the color picker instead. Click the eye dropper to select the color from anywhere on the screen, or use the downward-pointing triangle to select it from a color table.

Replace and Swap options

Sets a "replace" or "swap" operation for the items selected in the color substitution table, above.

· A "replace" indicator > is a one way operation. For example, using white-to-blue, white pixels on the image get replaced with blue pixels, but blue pixels originally in place are left unchanged..

· A "swap" indicator <> is a two way operation. For example, using white-and-blue, white pixels on the image get replaced with blue, and blue pixels originally in place are changed to white.

Color matching tolerance

This slider allows you to decide how closely the pixels of the bitmap must match the "old color" value to be replaced with "new color". Move the slider all the way to the left (0%) for an exact match - only the pixels with the exact specified values of Red, Green and Blue components will be replaced. If you move the slider to right, selecting higher % values, more and more "close color" pixels will be replaced.

You may experiment with different values by moving the slider multiple times, clicking the "Apply" button and observing the changes on the image in HyperSnap window.

Automatically apply…

Turn this on if you want the color substitutions defined above automatically applied to all images you capture with HyperSnap.


Unique Colors

This function counts the total number of unique colors used in the image. If you need to reduce color depth, this function will give you an idea on how far you can go before you seriously degrade the image. If your current image is 24 bit but uses only 300 colors, you can probably reduce it down to 256 colors (perhaps making the file smaller) without serious degradation. But if it's using 32,000 colors, it won't reduce well to lower values.


Text from a Region

Allows you to outline screen region and capture text found inside, as editable text, both formatted (RTF) and plain text format, or as tab-delimited tabular data. The text is placed into Windows clipboard, ready to be pasted in any text editor. You will find additional options regarding text capture on the TextSnap™ tab of Capture Settings.


Text from an Object under Cursor

Captures text from an object - such as a window or a control (a button, selection box, menu etc.) that is found immediately under the mouse cursor. This function is best invoked by pressing a hot key combination assigned to it (default: Ctrl+Shift+U), when the cursor is already placed where needed. This is a good way to capture for example the text of an entire pull-down or pop-up menu.

To use this function from HyperSnap menu in a meaningful way, you may set an additional delay for it on TextSnap™ tab of Capture Settings. This will give you time to move the cursor where needed before the actual capture.


Text from a window with auto-scroll

Select this function if not all of the text you want to capture is visible at once in some window and you have to scroll the page down to see it all. Then move the mouse cursor inside of the window from which you want to capture text with scrolling and click once. HyperSnap will start scrolling the window and capturing the text. If you want to abort early, press Escape key on the keyboard, otherwise wait until the scrolling is finished.


Text from a region with auto-scroll

Select this function if not all of the text you want to capture is visible at once in some window and you have to scroll the page down to see it all. It allows you to choose a precise region from which to capture inside of such window, possibly avoiding unwanted parts, such as columns of advertising on web pages.

After selecting this function a big cross-hair appears on the screen – move it and click on the first corner of desired region of text capture. Next choose the second corner, outlining the part of a page from where the text should be captured. The third and last step is to click on the down pointing arrow of the vertical scroll-bar of that window. HyperSnap will start scrolling the window and capturing the text. If you want to abort early, press Escape key on the keyboard, otherwise wait until the scrolling is finished.

This method of auto-scrolling sometimes also works for pages that refuse to scroll and capture with “Text from a window with auto-scroll” method.


TextSnap™ Settings

This function is a shortcut to the TextSnap™ tab on Capture Settings dialog box, which can be also accessed from the Capture menu or from the main toolbar with the “wrench” button. You can set here different options related to text capture, such as the format of captured text, where and how the text appears etc.


TextSnap™ Hot Keys...

This function allows you to change the HyperSnap system-wide hot keys for the text capture functions, from the default values. Use if you run into a conflict with other applications that require system wide hot keys, or if you find our default assignments inconvenient or hard to remember, change them to keystrokes you prefer instead.

Hot key definition fields

This field lists the current hot keys or key combinations for the operation or function listed to the right. To change the hot key or combination, click inside that field and press the desired key or key combination.

Defaults

Restores HyperSnap "factory default" hot key assignments.

Revert

Click this to revert back to the original settings. If you accidentally change a keystroke or decide you want to keep a previously-customized value, this button will do it.

Clear All

Click this to clear all the hotkeys to "None." This allows you to set the keys all from "scratch" without conflicts between existing key settings and the new ones you wish to use.

Enable Hot Keys

Make sure there's a check-mark in this field if you want your hot keys to be active. You may also toggle hot keys from a button on the HyperSnap main toolbar or by selecting Options > Activate Hot Keys.

Quick text region capture

Select the modifier keys such as Shift, Control, Alt and Windows key, that you may press together plus move the mouse to start text selection by region. This is sometimes faster and more convenient than hot key activation by a shortcut key listed on Capture menu, as it does not require moving your hand away from the mouse.

Abort if cross-hair is still visible…

You may decide what happens if you activate text capture by pressing the above keys and moving the mouse, and then release the keys without clicking. If you are in the first stage of area selection, with a big cross-hair cursor still visible, you may choose this option to abort text capture upon releasing the keys. Otherwise, if this option is not enable, you may still abort text capture by a right-click or pressing Escape key.

Require second mouse click

If enabled, you have to click twice in region selection of text, once for each of the opposite corners of the rectangle. Otherwise you select text by pressing left mouse button, moving the mouse and releasing the button (no second click required).

This setting is respected only for text capture operation started by holding the above modifier keys and moving the mouse. Captures started by hot key combination (default: Ctrl+Shift+T) always require two clicks.

Same combination + right click…

If you enable this option, you may press the key combination listed above and click with right mouse button to instantly capture a line of text at cursor location. This is useful e.g. for capturing text from menu, which disappears and won't let you capture text otherwise.


Activate Hot Keys

Check this to enable HyperSnap hot keys. If you disable them (by clearing this box or using a toolbar button) you'll will have to use the menu or mouse to execute captures. Should a hot key conflict with another program, such as one from which you need to capture screens, clearing this will let you capture the conflicting program with the mouse or menu. You can then close the offending program and re-check this box, making captures much easier.

You may also change the HyperSnap hot key assignments under the Capture and TextSnap menu, should you run into conflicts with other programs on a regular basis.


Activate Voice Commands

This command enables or disables the HyperSnap voice command interface. The Voice Command Interface (VCI) uses Microsoft's Speech API 5 (SAPI5) programming interface. This interface is a standard component of Office XP and Windows XP. You may find a list of available voice commands in the “Reference Topics” – “Voice command list” chapter.


Control Mouse with Keyboard

This allows you to get detailed control over HyperSnap via the keyboard. Keyboard "mouse control" provides pixel-level accuracy when you're drawing, copying, cutting, or pasting images within the HyperSnap window. When enabled arrow keys move the cursor by single pixels. TAB hides or shows the mouse cursor (if it's blocking part of your document). ENTER mimics a left mouse button click. Hit ENTER once and HyperSnap 4 acts as if you've depressed the mouse button and wish to draw (or create bounding boxes, for example). Hit ENTER again to simulate letting up on the button. (Or you can click the left mouse button to cancel mouse button simulation.)


Startup and Tray Icon

These functions allow you to change how HyperSnap shows its icon (either on the task bar or in the system tray area). You can also set the program to start automatically with Windows, useful if you do a lot of screen captures.

Auto-Start with Windows

Check this to have HyperSnap add itself to the list of programs that load when Windows starts.

For all users of this computer option

Turn this option on to add HyperSnap to auto-start list for all users of this computer. With this box cleared, the auto-start option affects only your user profile. Usually, within Windows XP or 2000 you must be part of the Administrator user group to change this option.

Always start minimized

Check this to have HyperSnap start in "iconic" mode rather than showing a window. In addition, if you've got the program set to display a tray icon rather than a taskbar icon, this sets the program to load into the system tray only, ready for use, but not obtrusively so.

Display system tray icon…

Check this to have HyperSnap display its icon in the Windows system tray. (The system tray is where the clock is located on the taskbar.) This makes the program less obtrusive, but always ready for use. Remember, if you enable this, in order to bring the program back for use, you'll need to click its system tray icon. You may also right-click that icon for a menu of most often used functions.

Do not exit when clicked on …

Check this to set HyperSnap to stay in the system tray when you click its main window's "close" button (the X button in the upper right corner). Otherwise, the program will completely exit when you click this button. This allows you to hide the main window by using the X but do so without closing the program. That way it's always ready for use in your system tray (the area by the clock in the Windows task bar).

Number of most recent files on File menu

You may set how many recently used files will be appended to HyperSnap File menu, just before the Exit item. These are the files that you recently opened or saved with HyperSnap. For this change to take effect, you need to exit and restart HyperSnap program.


Default Image Resolution

This function lets you alter the default dot per inch resolution of new images HyperSnap captures. If you'd prefer a resolution that differs from the default after installation (96 dpi, the best setting for SVGA or higher screens) you can change the setting here. Click OK to set the value you define as the default to be used from this point forward.


Image Position and Background

This allows you to select the color and hatch pattern for the background part of the HyperSnap window that's not filled with the captured image. Also set if you prefer the image positioned in the top left corner or centered within the workspace.

Image Position - Top Left or Center

Select where HyperSnap should display an image, when it is smaller than the available workspace.

Background Hatch Style choices

Select the style of HyperSnap workspace background for windows where it displays images. You'll see this background if the image is too small to fill all of this space, or if it has "transparent" areas such as those within GIF files.

Different hatched backgrounds are useful for pre-viewing image transparency. When you're looking at a partially-transparent picture on a solid background, you might not be sure if what you see at certain spots is the window background showing through the image, or a part of the image that's the same color as the workspace. A hatched background clears up this confusion.

Background and Hatch Color pickers

Click the downward-pointing triangle to select the color for your image workspace background, and for the hatch lines drawn over it (if you selected a hatch style, above).


OfficeXP Style

Select this option to make toolbars and menus look similar to the Microsoft OfficeXP® user interface.


Register File Types

This function allows you to set Windows so that when you double-click certain selected file types, HyperSnap will be used to open (and then edit) those files. This allows you to quickly choose which files are sent directly to HyperSnap and which file types are edited or viewed by other graphics utilities you may have.

Image file format selectors

Put a check mark here if you want images of that type edited by HyperSnap when you elect to open them from within Windows Explorer.


Save Configuration

Saves all HyperSnap options and settings, except for menu and toolbar customizations, to an external text file. These settings may be later restored with "Read Configuration" function under Options menu.


Read Configuration

Reads HyperSnap options and settings, except for menu and toolbar customizations, from an external text file. These settings should have been earlier saved with "Save Configuration" function under Options menu.


Close All

Closes all pictures opened inside HyperSnap window. If you made any changes to the pictures, HyperSnap asks you if you want to save that picture, otherwise closes the picture without any prompting.

Hint: if you have a lot of pictures opened and some changes done to them, but want to close them quickly without saving anything, you may hold Ctrl key while clicking this menu item. Everything will be closed instantly, no questions asked.


Cascade

Arrange open document windows so that they overlap, from top left towards bottom right.


Tile

Arrange open document windows into a "tiled pattern" so that they cover all available work space, but don't overlap each other.


Arrange Icons

If you have some image windows iconized, this will arrange them into a row at bottom left of the HyperSnap workspace.


Windows…

Opens a dialog box that lets you manage currently opened document windows.

The dialog allows you to manage large lists of open windows by assigning them into groups. Lets say you have eight windows open, but want to close four of them scattered through the list.

1. Click on the Windows > Windows..

2. Select the windows you want to close, hold Ctrl key to select more than one at a time.

3. Click the button that says Close Window(s). Just those four will be closed, leaving the other four files or captures available for editing.

You can use this process to switch to the checked window on a list by hitting Activate (or "bring up" from an icon multiple windows), you can use this to Cascade only the selected windows, or perform any of the listed functions on just the windows you wish to manage.

If you've got a lot of windows open and want to "clear the decks" to clean things up, select all of your open files and then click on Minimize. They'll all be sent to the iconic state within HyperSnap's interface.

Between this and the tabbed window controller on the application workspace, you've got very complete control of your working environment.


Contents

Displays the HyperSnap online manual.


Tutorials and More

Access helpful tutorials that walk you through some of HyperSnap’s most sought after features.


Check for a New Version

Check the Hyperionics web site to see if there's is a newer version of HyperSnap. Allows you to also set and adjust automatic version checks. If at all possible, you should always download and install the latest version of the program.


Registration and License

Click here to check the status of your license, serial number, and so forth. You can also back up your license to a disk file or delete a license if you want to pass your computer to someone else who is not authorized to use your licensed copy. Please don't pass on licensed installations.


About

Click here to view your HyperSnap software version, as well as to go to the Hyperionics web site.


Reference Topics

This section contains reference topics you may need while working with HyperSnap.


Main Toolbar Buttons

Some buttons on the main toolbar (which by default is shown at the top of HyperSnap window, just below menu) have no menu equivalents. These buttons are listed below.

Print Direct

Prints the current image directly to the printer without showing the printer selection box. It's a fast way to get a quick printout of the current image.

Toggle Object Shadow

If this button is pressed, all shapes that you subsequently draw on your image, using any of the drawing tools found on the drawing toolbar, will have a shadow added to them. You can define the shadow direction, size and other options under Image/Shadow menu.

Zoom

Sets the magnification (zoom) factor for viewing the current image. Values above 100% enlarge the picture. Below this value will show it smaller. You may also choose the Auto zoom option to expand an image to fill all available space within the HyperSnap window.

Help or "What Is?" button

Click this button to get the special "help" cursor (arrow plus question mark) then click on any other button or menu item to read a short popup help message about it.


Drawing Toolbar

The Drawing Toolbar contains tools for drawing on your images. You can dock this toolbar to any side of the HyperSnap workspace or keep it "floating" inside or outside of this area. The individual tool buttons available here are fixed and cannot be added to or removed or otherwise customized as can be done with the main toolbar.

* Cut

Cuts out the selected region to the Windows clipboard. You must mark a region with the Select area tool, (it's the dotted box on the Painting tools palette). The area you cut will be "blanked out" and filled with the background color you define with the Background color selector tool on the bottom of the painting tool palette. The default color for backgrounds, capture in-between regions, and cut regions is white.

* Copy

Copies the selected region to the Windows clipboard. If you mark a region with the Select area tool, only that region will be copied, otherwise the whole image goes into the clipboard. The area you copy will remain unchanged. However it will now be available for inserting onto other locations within the same (or other images), including those opened both within the HyperSnap workspace, or onto graphics files or into documents opened within other programs that use the clipboard in a compatible fashion.

* Paste

Pastes the contents of the Windows clipboard (provided it contains a compatible image format) into the current image. The image gets pasted into the current selection area, or into the upper left corner if there is no selection. Immediately after pasting, you may grab the pasted image with left mouse button and move around.

* Clear

Clears the selected area (or the whole image, if nothing selected) to the current background color.

* Undo

Un-does the last operation you performed, if it was a change to an opened image. For example, if you adjust the color and don't like the result, immediately select this to "go back" to the previous version prior to the color adjustment. You can undo up to 10 recent changes to your image.

Redo

Re-executes the previously "un-done" operation. You can toggle the state of this and Undo back and forth to examine the last change you've made to an image as a way of judging if you like the effect.

Magnify

This tool acts just like a magnifying glass. Move it over the image and press the left mouse button to zoom in, with the area below the glass being the center of the zoomed display. To zoom out, press the right button. You can zoom back and forth (in and out) as you wish.

View Only Mode

Sets the mode to "view image only." It means that you're "blocked" from using the drawing tools. In this mode no tool is currently selected to change the image, so the mouse is available to move the image within the workspace rather than alter it..

Thus, if the image is larger than the available window, you may hold the left mouse button and move the mouse pointer around to "grab" and then "pan" the image without painting on it as an editing tool would do.

Resize

This function lets you resize (by pixel dimension count) both the horizontal and vertical dimensions of the image. If you resize the image larger, the extra space added is filled out with the current background color. You can also change the color depth at the same time, if desired, or crop to the current marking rectangle (if one exists).

* Select Area

This function turns the cursor into an Area selection tool. You can mark areas to cut, copy, or relocate. To select an area, drag the mouse cursor across the image with the left button held down until the area you want defined is selected. Let up on the button and the area is then marked. "Handles" will appear on the area that will let you alter the selection after it's marked.

Flood Fill

This function provides an area fill tool, sometimes called a "bucket fill," because it's like dumping a bucket of paint across the image. It uses the Foreground color selected at the bottom of the tool palette for its fill property. Only pixels of the same color as the one on which you clicked, and those adjacent to it, are changed to the new color.

Add Text

This function loads a special tool that will let you type text onto your image. First define an area where you want the text to reside. This sets the "wrapping boundaries" for what you type. From the dialog that appears next, you can choose a font from those available on your system, as well as its size and color (just as with any Word processor). From this point you can type any text you desire.

Update text immediately

This option appears on the “Text” tab of Edit Text dialog box. Turn this option on to instantly preview what you type on the image loaded into HyperSnap window.

Note: do not enable this option on double-byte language systems (e.g. Korean), as it may cause incorrect display of text!

Air Brush

This works like an airbrush or a can of spray paint. It uses the value defined on the Foreground color selector at the bottom of the tool palette. If desired, you can change the size of the spray can tool by selecting a different width from the Tool Width drop-down list.

Arrow

This function draws "point to" arrows. These are extremely handy for creating labels on a graphic where you need to indicate specific items on the graphic and then type in explanations for them. You can set the arrow head type (hollow, filled, or architectural) by choosing a different style from the drop-down list beside the tool's button. This tool uses the color defined by the Foreground color picker at the bottom of the palette.

Arrowhead length

Enter here the length of the arrowhead, in pixels.

Arrowhead width

Enter here the length of the arrowhead, in pixels.

Place arrowheads at the END…

Select this option to have arrowheads placed at the end of the lines you draw, or clear to have them at start.

Eraser

This function allows you to erase parts of the image to the background color defined in the background color button at the bottom of the painting palette. You can change the size of the erasing tool by selecting a different width from the Eraser Width selection drop-down just below the Eraser tool.

Freehand Draw

Lets you draw on the image using a pencil-like tool. Choose a color from the Foreground color picking tool, and a width from the tool width tool.

Line

This tool draws straight lines. To use it, click where you want the line to originate and then drag the tool by holding the left mouse down until the "rubber band" has extended to the length and into direction you want the line to be drawn. Let up on the button and the line will appear, ending at the final cursor location.

Eraser Width

This tool lets you choose eraser widths from several possible sizes. Choose the desired size and then click the Eraser tool to clear areas of the image using the chosen eraser.

Tool Width

This tool changes the widths of all of the painting tools (spray can, line tool, pencil, arrow tool, and so forth). Choose from the available sizes and the dimensions of the tools that use this value will change accordingly.

Rectangle

This function draws empty rectangles on the image using the foreground color defined by the Foreground color selector tool. To draw a rectangle, select this tool, choose the color and line width you wish to use, click at the point on the image you want to use for the origin of the rectangle, and then drag the mouse cursor by holding down the left button until the rubber band bounding box shows the rectangle you wish to draw. Let up on the left button and the rectangle will be complete.

Rounded Rectangle

This function draws empty rectangles with rounded corners on the image using the foreground color defined by the Foreground color selector tool. To draw a rounded rectangle, select this tool, choose the color and line width you wish to use, click at the point on the image you want to use for the origin of the rounded rectangle, and then drag the mouse cursor by holding down the left button until the rubber band bounding line shows the rounded rectangle you wish to draw.

Ellipse

This function draws empty ellipses on the image using the foreground color defined by the Foreground color selector tool. To draw an ellipse, select this tool, choose the color and line width you wish to use, click at the point on the image you want to use for the origin of the ellipse, and then drag the mouse cursor by holding down the left button until the rubber band bounding line shows the ellipse you wish to draw.

Let up on the left button and the ellipse will be complete. To draw a circle, hold the SHIFT key while drawing an ellipse.

Filled Rectangle

This function draws filled rectangles on the image using the foreground color defined by the Foreground color selector tool. To draw a rectangle, select this tool, choose the color and line width you wish to use, click at the point on the image you want to use for the origin of the rounded rectangle, and then drag the mouse cursor by holding down the left button until the rubber band bounding line shows the rectangle you wish to draw. Let up on the left button and the rectangle will be complete.

Filled Rounded Rectangle

This function draws filled rectangles with rounded corners on the image using the foreground color defined by the Foreground color selector tool. To draw a rounded rectangle, select this tool, choose the color and line width you wish to use, click at the point on the image you want to use as the origin of the rounded rectangle, and then drag the mouse cursor by holding down the left button until the rubber band bounding line shows the rounded rectangle you wish to draw. Let up on the left button and the rounded rectangle will be complete.

Filled Ellipse

This function draws "filled" ellipses on the image using the foreground color defined by the Foreground color selector tool. To draw an ellipse, select this tool, choose the color and line width you want to use, click at the location on the image you want to use as the origin point of the ellipse, and then hold down the left button and drag the rubber band bounding tool around until it shows the ellipse you want to put on the image. Let up on the left button and the ellipse will appear as specified by the bounding box.

Foreground Color

This drop-down list and selector palette allows you to set the foreground color to be used by the various painting tools. You can choose an Eyedropper tool to pick the color from the image by clicking directly on Foreground color button.

In addition, you can pick from a palette of available colors by clicking the downward-pointing triangle next to this button. When you do so, you will also see the “Same for all images” option, which if turned on, will keep the same foreground color selection for all images loaded into HyperSnap workspace.

Hint: if you need to frequently change colors, click the triangle to drop down the palette, then grab the solid bar at the top of the palette window with your mouse and drag it away. It will become a separate floating window that provides single-click access to 40 colors.

Background/Transparent Color

This drop-down list and selector palette allows you to set the background color as used by the eraser tools, or when creating additional empty drawing space. You can choose an Eyedropper tool to pick the color from the image by clicking directly on the Background Color button.

In addition, you can pick from a palette of available colors by clicking the downward-pointing triangle next to this button. When you do so, you will also see the “Same for all images” option, which if turned on, will keep the same background color selection for all images loaded into HyperSnap workspace.

Hint: when you need to change colors often, click the triangle to drop down the palette, then grab the solid bar at the top of palette window with your mouse and drag it away. It will become a separate floating window providing single-click access to 40 colors.

Highlight

Click to select the Highlight tool. You can then outline a region on your image, that will appear to be filtered through the selected color, looking as if the selected color was painted over it using translucent medium. You can use this tool to draw attention to a particular image region.

Click on the downward-pointing triangle next to this button to select the highlight color. You can toggle through all available colors by repeatedly left-clicking the button.

Stamps

Use this tool to define, and later insert Stamps on your image. The stamps are composed of any other image fragment and can include styled text that you define. The text may contain macros that dynamically include other information such as the current date and time, the image file name, and so forth.

You can put Stamps anywhere on the image or you can append them to the top or bottom as graphical headers or footers.

Blend Selection slider

When you paste an image fragment onto your current picture or insert a stamp, (or simply select a smaller fragment of your image), you may move this slider to blend the selected area with underlying image content.

It's best to experiment with this tool to see what it does. You'll notice that, when the slider is all the way to the left, your selection disappears completely so as to show only the underlying image. Then as you move the slider back to the right, the selected image area or stamp gradually fades in until, when the slider reaches the extreme right, no underlying image content shows through.


Other common controls and buttons


Image view and edit area

You may edit the image you see here with the Drawing Tools palette. You may open any number of images within the HyperSnap workspace. When you have more than one opened, you'll see small tabs with the image's name at the bottom of each tab. These let you quickly switch between open images.

For more drawing precision you can enable the mouse cursor control with arrow keys on your keyboard by using the Options menu item. This gives you single-pixel accuracy when drawing, copying, cutting, or pasting images within HyperSnap window.


Status bar

Watch the area at the bottom of HyperSnap window for helpful messages. The right side of the status bar shows the coordinate-based position of mouse pointer when it's held over an image, and it changes to display the overall size of the image if you move mouse pointer beyond the image's window borders.

During some drawing or selection functions, the status bar also shows the size of a selected area or of a drawn shape such as a rectangle. All sizes and coordinates are always displayed using pixels.


Apply button

Click to apply the changes you entered on this dialog box and see the result in the HyperSnap document window. On certain program functions, if you don't like the changes applied to your image, you may click a Revert button to go back.


Revert button

Click to undo the previous change to your image.


Cancel button

Cancel the current dialog box. Do not save or use the changed values entered within. (Note: values entered on second level controls within a dialog box may remain changed if you've already altered them.)


OK or Done button

Click to close this dialog box, keeping all the changes made so far.


Help button

Displays the corresponding help page from the HyperSnap online manual.


Color Selector

The background of this button shows the color currently selected. Click on the eye dropper icon to pick up another color from anywhere on the screen,cd or click on the down arrow to pick the color from a palette.


Voice command list

You can use the voice commands listed here within HyperSnap. If you encounter problems, go to Windows Control Panel and locate "Speech Properties" or a similar icon.

  1. Click Configure Microphone... to adjust your volume levels and the other settings of your microphone.
  2. Then click the "Train" or "Train Profile..." button there, to train the speech recognition engine to recognize your voice better.
  3. Also try speaking more slowly and more clearly. Voice support is still a work in progress, and computers still require speech commands be delivered a bit more clearly and at a slower-speed than we humans do.

Make sure you use a high quality microphone. Like all current speech recognition technology, this one requires a respectable pause between all commands in order for them to process. The faster your computer, the faster you'll be able to speak the commands, to a certain point. The more background noise you have in your work area and the worse speech commands will perform, too.

Say Capture or Snap, and optionally add the, followed by any of the following items:

  • Full Screen
  • Desktop
  • Window
  • Active Window
  • Active Client
  • Region or Rectangle
  • Multi Region
  • Pan Region or Move Region or Pan Rectangle or Move Rectangle
  • Repeat

Drawing Tools Commands

Say Take or Get, and optionally add the, followed by:

  • Line
  • Pencil

Miscellaneous Commands

  • Microphone off
  • Activate or Restore (to restore and bring the HyperSnap window to the front)
  • Minimize or Iconize (to send it to the system tray or task icon list)
  • Maximize
  • Help or What can I say? (displays brief help which has links to this file)

For users with physical limitations, speech technology offers new-found freedom and will allow many for the first time to be able to use our program with relative ease.


Command line usage

These options, useful for advanced programmatic applications such as scripts, can greatly enhance the Power User approach to capturing. For example, you can set up an shortcut icon to perform a pre-set capture using the values you define in the parameters line on the shortcut's properties page.

If you're a power user, or a user of something like Morrie Wilson's superb WinBatch™, or are familiar with the Windows 2000 or Windows 98 R2 scripting host languages, you can go even further by creating a combination of a programmatic and pre-set application use. For example, you can create a WinBatch script to ask you for the parameters you wish to pass to HyperSnap, and it will then use the script to execute the program and pass the desired parameters to it.

As always with every program, you can open a Command prompt and enter a command line:

start/wait hprsnap6.exe [parameters]

or

hprsnap6.exe [parameters]

Where [parameters] are the desired operational values. The prompt will load HyperSnap and pass it the provided command line. You can even use a tool as simple as Windows 2000 or XP CMD files or–in the case of Windows 9x–plain old batch files to utilize special capture settings "on the fly."

If you open a prompt and type the command without using start/wait, you can close the prompt if you wish, or use it for other functions while HyperSnap is processing an image.

Should you elect to use the start/wait parameter, the prompt will stay open cannot be closed or used until HyperSnap is finished. This may be useful in batch files, if your next command must wait for HyperSnap to finish its operation before it can continue.

If you expect to make heavy "production" use of HyperSnap, we think you'll want to take a moment to get familiar with the command line functions. The mouse is nice, but for heavy output or batch jobs, you simply can't beat command line control.

In the examples below, the actual command line and options you will need to type are in bold. Comments about the commands or other "tips" are in plain text. The paths to be used are simply examples, use the paths available on your own system. Note that you must type HyperSnap's executable name, too, which comes before the parameter, as in the example above. You can't simply open a command prompt box and type, -hidden -quicksave,5000, nothing will happen except that familiar cryptic error message with which we used to be familiar: Bad Command or File Name. If you use Windows 2000 or XP, you might see, "-quicksave is not recognized as an internal or external command, operable program, operable program or batch file."

In any case, change to the folder where you've installed HyperSnap and type its name hprsnap6.exe, or (even better) add that folder to your system's PATH environment. In the latter case you can type the executable name from inside any folder and Windows will locate it for you and run it with the commands you specify.

quicksave

Turns on QuickSave option, even if it was turned off in previous sessions or by default.

Additional -QuickSave options can start with timed auto-save. For example, here are some uses with other parameters:

-hidden -QuickSave,5000,1,5 -snap:w:320:h240 -save:bmp f:\tmp\test

-iconic -QuickSave,5000,1,5 -snap:w:320:h240 -save:bmp f:\tmp\test

-QuickSave,5000,1,5 -snap:w:320:h240 -save:bmp f:\tmp\test

These examples will start the program with a hidden, iconic or opened window, respectively, and will repeat the snap every 5000 ms (5 sec), increment the file name starting counter at 1 and will stop when the counter reaches 5.

To disable adding numbers to the file name, set the second number in -QuickSave to 0, for example -QuickSave,5000,0,5 will save a capture 5 times to the same file. To disable the max count function (the last number to capture before stopping), set it to 0.

The capture will be repeated indefinitely, or until you press the stop capture hot key (default for which is F11).

-hidden

Runs the program with its window hidden, so you can operate it only by using the hot keys. You must have enabled Quick Print, or Copy each capture to clipboard in the Capture Settings tabs , earlier, or you could use this mode with the Quick save tab's Automatically save each capture... option enabled, too.

Otherwise you won't be able to choose files or direct output to any useful location.

-dumpopts

Read the program's registry entries, and dump them to an INI file in the program's home directory. This is helpful for debugging problems. You can send the INI file in an e-mail to use during a user support session should we request it.

-readopts

Read the program's registry entries from the file HprSnap5.INI and then save them to the Windows system registry. A great way to immediately set the program back to all defaults. For example, if you install the program, then run it once, the registry entries will be set to the defaults.

If you then use the -dumpopts option, above, to create HprSnap5.INI, then keep that file in a safe place, should you wish to set the program back to the start-up status, this option will do that in one step. Mainly a technical support tool, as it can repair a corrupted registry entry, too.

-initfrom:filename

You'd use this option when you start HyperSnap, for example:

hprsnap6.exe -initfrom:c:\hypersnap\hsdx.ini. A quick method of supporting multiple hot key configurations or other options, such as on systems where multiple users prefer the program to operate differently. If you create a shortcut that loads the program using this switch and a valid INI file you've created with the -dumpopts setting, it's painless to have the program set up differently for many users on the same machine.

Changes you make to its settings in this case do not go back to the registry (as is normally the case) but they are written back to the INI file name you used to load it. This thus keeps a discrete setting set apart from the default.

-snap

Capture a screen (or a portion) one time only, to immediately print or save it, and then exit. The HyperSnap window isn't displayed. This option takes several sub-options you must separate with a colon. Here are some examples.

HprSnap5 -snap:x60:y150:w200:h100 -save:bmp test.bmp

:x is X pixel coordinate from which to start the capture, counted from the left. If omitted, 0 the program will assume 0, the absolute left-hand of the screen.

:y is Y pixel coordinate from which to start the capture, counted from the top. If omitted, the program assumes you want a value of 0.

:w is width of the area to capture, in pixels. If omitted, the program assumes the area from :x to the right edge of the screen should be captured.

:h is height of the area to capture, in pixels. If omitted, the program will capture the area from :y to the bottom of the screen.

:window allows the user to select with the mouse the window to capture.

:region allows the user to select with the mouse a rectangular region to capture.

:awin will capture the currently active window, including frame and title

:acli will capture the currently active window without the title and frame (called the "client area").

-open:[filename]

or

-open [filename]

This option will run HyperSnap and open the specified file (if it exists, and is in a supported graphics file format). It will then perform the action set by any following command line options, such as -print or -save—perhaps in a different format as a quick way to convert one format to another, for example.

You can use this to print several graphics files in batch mode or to translate quickly between varying formats. The program exits when all prescribed operations are complete. Here are a few examples:

To translate test.bmp to test.gif:

hprsnap6.exe -open:test.bmp -save:gif test.gif

To print test.jpg file to the default system printer:

hprsnap6.exe -open test.jpg -print

-colsubst

Performs a color substitution on and opened image according to the table defined previously in an interactive session of HyperSnap under "Color/Substitute Colors" menu. Example:

hprsnap6.exe test.bmp -colsubst

-scale:[percent]

Scale (resize) the image captured with -snap command line option or opened from a file, by the percent factor specified. For example:

hprsnap6.exe test.jpg -scale:50

This will open test.jpg file scaled to 50% of its original size, and:

hprsnap6.exe -open test.jpg -scale:50 -save:jpg test.jpg

This will open test.jpg file, scale it to 50% of the original size, save to the same file name and exit immediately. This latest form could be used to scale an entire directory of images with the for command of the Windows batch language. Here's an example:

for %f in (*.jpg) do start/wait "x" "C:\Program Files\HyperSnap 6\HprSnap6.exe" -open "%f" -scale:4 -save:jpg:q95 "Thmb %f"

This will resize all JPEG images in the current folder to 4% of their current size and save them under the same names with added prefix "Thumb" with 95% JPEG quality setting, overwriting the originals. To have the files saved in another folder under the same name, and preserve the originals, you could specify the folder after -save such as -save:jpg:q95 "c:\temp\%f"

This command could also translate the format. For example opening JPEG files, but saving to PNG instead. In this case the last part could be:

-save:png "c:\temp\%f"

-print

This function was designed to be used after -snap to force the printing of the captured picture. It takes several sub-options, all of which must be separated with a colon.

:l print in Landscape mode. Default is portrait

:inv invert black and white

:bw print black and white colors only

:fr draw a frame around printed picture

:sNN scale, where NN is % of the image size, the default being 100%

:af auto-fit the picture to fill the whole page (but preserving the aspect ratio)

pd display Print Dialog, to select the printer etc.

Prints to the default printer if :pd omitted. Here's an example:

hprsnap6.exe -snap -print:l:fr:s75

This example will snap the whole screen and print the resulting capture in landscape mode, with a frame, and scaled downward to 75% of the original size.

-save

This was designed to be used after the -snap option to save the file to a supported file format. The very next argument must be the filename to use for the saved data, including the extension. For example, snap.bmp, snap.gif, and so forth.

Here's a list of possible formats as well as some examples using them:

:gif save as a GIF file

:gif:i save as Interlaced GIF file

:jpg save as JPEG file with the default output quality of 75%

:jpg:qNN save as JPEG file with quality NN% (replace NN with a number such as 90, representing image quality factor).

:jpg:p save as progressive JPEG file (you can add :qNN)

:bmp save as BMP file (this is the default, and may be omitted). Bitmap pixel depth is the same as your screen's.

:bmp:c1 save as 1 bpp bitmap

:bmp:c4 save as 4 bpp bitmap

:bmp:c8 save as 8 bpp bitmap

:bmp:c24 save as 24 bpp bitmap

The program accepts other file types as -save formats. Here's a complete list of all file types accepted during this command. These values should appear after the : in the command line:

bmp, gif, jpg, tif, cmp, cal, fax, eps, img, raw, ica, pict, mac, msp, pcx, ras, tga, wfx, vfm, wpg, png

With all of these file types, the following options are accepted, if valid for a given file type. If an option is not valid for that type, it will be ignored by the program:

:a append the picture to the specified file, if the file format permits this. For example, GIF and TIFF files support appending frames to an existing file.

:c1, :c4, :c8, :c24, :c32 represents the color resolution to use, in bits per pixel.

:i, :p tells HyperSnap to save the file using either interlaced (GIF) or progressive (JPEG) format.

:qNN quality in %, valid for jpg and cmp files. The larger this number, the higher quality the final file will be, but the file size in bytes will be larger, too.

Here's more examples. Snap the whole screen and save in BMP file in the directory c:\tmp\:

hprsnap6.exe -snap -save c:\tmp\test.bmp

Snap portion of screen, save as 8 bit per pixel bitmap in the current DOS directory (be sure you know where this is, or you'll "lose" your file!):

hprsnap6.exe -snap:x50:y80:w200:h100 -save:bmp:c8 btm.bmp

Snap the whole screen, save to GIF file called test.gif:

hprsnap6.exe -snap -save:gif test.gif

Snap the whole screen and save it to a JPEG file with 85% quality:

hprsnap6.exe -snap -save:jpg:q85 test.jpg

-newwin

Allows you to run a second instance of HyperSnap. Normally, if you try to start another instance without this command line option while HyperSnap is already running, the old window will be activated. The second instance (a second, separate HyperSnap window) will not start.

-defprn:prn_name

This command makes HyperSnap use a printer other than the "system default" as its default printer. The "prn_name" part must be the exact same name as listed in your system Printers folder. The entire command must be enclosed in double quotes if the name contains any spaces. If the name is one solid block without spaces, you can skip the quotes.

For a local printer name that includes a space:

"-defprn:HP 2000C"

For a network share printer name without space:

-defprn:\\gandalf\hp855c

-ra

Sets the program to restore advanced options to defaults when the program is restarted. These advanced options currently include Capture Settings, Crop & Scale enable mode, and View & Edit selection. Normally restoring these options in other than their default state can confuse novice users of HyperSnap, so you use this command line argument to help prevent confusion.

-exit

Causes HyperSnap to exit after it's finished with the requested operation. For example, -snap without the -save or -print commands. Normally HyperSnap would stay running (with its window opened or hidden) in that situation. By using -exit you force it to quit when its tasks are done.


Contact and Support

For support, please first visit the Hyperionics Technology LLC web site and click "Support" link below HyperSnap header. We post a Frequently Asked Questions (FAQ) list and we moderate a user support forum where we will endeavor to answer your questions as quickly as we can.

If you don’t find the answer to your question there, please send an email message to support@hyperionics.com.

We appreciate and welcome any comments, enhancement requests, improvement suggestions and bug reports that you may have. Please email them directly to support@hyperionics.com.


Disclaimer Agreement

Software License Agreement for HyperSnap.

This is a legal agreement between you and Hyperionics Technologies, Inc. covering your use of HyperSnap (the "Software"). Be sure to read the following agreement before using the Software. BY USING THE SOFTWARE (REGARDLESS IF YOU HAVE REGISTERED THE SOFTWARE OR NOT), YOU ARE AGREEING TO BE BOUND BY THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT USE THE SOFTWARE AND DESTROY ALL COPIES IN YOUR POSSESSION.

The Software is owned by Hyperionics Technology, LLC and is protected by United States copyright laws and international treaty provisions. Therefore, you must treat the Software like any other copyrighted material (e. g., a book or musical recording). Paying a single user license fee allows you the right to use one copy of the Software at a time. You may not permit the software use by two or more people at the same time. You may install it on two or more computers for your own use only. Corporate customers with multi-user network licenses should undertake a reasonable effort to make sure that the total number of concurrent users within their organization does not exceed their license user limit. You may not rent or lease the Software, nor may you modify, adapt, translate, reverse engineer, decompile, or disassemble the Software. If you violate any part of this agreement, your right to use this Software terminates automatically and you must then destroy all copies of the Software in your possession.

The Software and its related documentation are provided "AS IS" and without warranty of any kind and Hyperionics Technology expressly disclaims all other warranties, expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. Under no circumstances shall Hyperionics Technology be liable for any incidental, special, or consequential damages that result from the use or inability to use the Software or related documentation, even if Hyperionics Technology has been advised of the possibility of such damages. In no event shall Hyperionics Technology' liability exceed the license fee paid, if any.

This Agreement shall be governed by the laws of the Commonwealth of Pennsylvania. If for any reason a court of competent jurisdiction finds any provision of the Agreement, or portion thereof, to be unenforceable, that provision of the Agreement shall be enforced to the maximum extent permissible so as to effect the intent of the parties, and the remainder of this Agreement shall continue in full force and effect.

The Software and documentation is provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subdivision (b)( 3)( ii) of the ASPR Rights in Technical Data and Computer Software clause as 252. 227- 7013. Manufacturer is: Hyperionics Technology, 3146 Chestnut Drive, Murrysville, PA 15668, USA, info@hyperionics.com.

Copyright (C) 1995-2007 by Hyperionics Technology, LLC. All rights reserved. Hyperionics, HyperSnap, HyperSnap-DX, HyperCam and FileBox eXtender are trademarks of Hyperionics Technology, LLC.